DROP PROCEDURE IF EXISTS drop_index_if_exists;
DROP PROCEDURE IF EXISTS drop_key_if_exists;
DROP PROCEDURE IF EXISTS drop_fk_if_exists;
DROP PROCEDURE IF EXISTS courses_with_title_restricted_by_school_for_user;
DROP PROCEDURE IF EXISTS courses_with_title_restricted_by_school_for_user_calendar;
DROP PROCEDURE IF EXISTS decompose_mesh_tree;
DROP PROCEDURE IF EXISTS mesh_search;
DROP PROCEDURE IF EXISTS nuke_course;
DROP PROCEDURE IF EXISTS nuke_learning_material_associations;
DROP PROCEDURE IF EXISTS nuke_objective_associations;
DROP PROCEDURE IF EXISTS nuke_offering;
DROP PROCEDURE IF EXISTS nuke_recurring_event_chain;
DROP PROCEDURE IF EXISTS nuke_session;
DROP PROCEDURE IF EXISTS programs_with_title_restricted_by_school_for_user;
DROP PROCEDURE IF EXISTS ucsf_som_add_user_to_learner_group;
DROP PROCEDURE IF EXISTS user_ids_from_cohort_and_master_group;
DROP FUNCTION IF EXISTS copy_cohorts_from_course_to_course;
DROP FUNCTION IF EXISTS copy_directors_from_course_to_course;
DROP FUNCTION IF EXISTS copy_disciplines_from_course_to_course;
DROP FUNCTION IF EXISTS copy_disciplines_from_session_to_session;
DROP FUNCTION IF EXISTS copy_ilm_session_attributes_to_ilm_session;
DROP FUNCTION IF EXISTS copy_learning_material_mesh_from_course_lm_to_course_lm;
DROP FUNCTION IF EXISTS copy_learning_material_mesh_from_session_lm_to_session_lm;
DROP FUNCTION IF EXISTS copy_mesh_from_course_to_course;
DROP FUNCTION IF EXISTS copy_mesh_session_to_session;
DROP FUNCTION IF EXISTS copy_objective_attributes_to_objective;
DROP FUNCTION IF EXISTS copy_offering_attributes_to_offering;
DROP FUNCTION IF EXISTS course_has_cohort_stewarded_or_owned_by_school;
DROP FUNCTION IF EXISTS group_is_child_of_group;
DROP FUNCTION IF EXISTS program_has_year_stewarded_by_school;
DROP FUNCTION IF EXISTS user_can_be_assigned;
delimiter //
CREATE PROCEDURE drop_index_if_exists(theTable VARCHAR(128), theIndexName VARCHAR(128))
BEGIN
 IF((SELECT COUNT(*) AS index_exists FROM information_schema.statistics WHERE TABLE_SCHEMA = DATABASE() and table_name = theTable AND index_name = theIndexName) > 0) THEN
   SET @s = CONCAT('DROP INDEX ' , theIndexName , ' ON ' , theTable);
   PREPARE stmt FROM @s;
   EXECUTE stmt;
 END IF;
END
//
CREATE PROCEDURE drop_key_if_exists(theTable VARCHAR(128), theName VARCHAR(128))
BEGIN
 IF((SELECT COUNT(*) AS index_exists FROM information_schema.statistics WHERE TABLE_SCHEMA = DATABASE() and table_name = theTable AND index_name = theName) > 0) THEN
   SET @s = CONCAT('ALTER TABLE `' , theTable , '` DROP KEY ' , theName);
   PREPARE stmt FROM @s;
   EXECUTE stmt;
 END IF;
END
//
CREATE PROCEDURE drop_fk_if_exists(theTable VARCHAR(128), theName VARCHAR(128))
BEGIN
 IF((SELECT COUNT(*) AS doesExist FROM information_schema.KEY_COLUMN_USAGE WHERE TABLE_SCHEMA = DATABASE() and table_name = theTable AND CONSTRAINT_NAME = theName) > 0) THEN
   SET @s = CONCAT('ALTER TABLE `' , theTable , '` DROP FOREIGN KEY ' , theName);
   PREPARE stmt FROM @s;
   EXECUTE stmt;
 END IF;
END
//
delimiter ;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_post_update`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_instructor_post_delete`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_instructor_post_insert`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_instructor_group_post_delete`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_instructor_group_post_insert`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_learner_post_delete`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_learner_post_insert`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_group_post_delete`;
DROP TRIGGER IF EXISTS `trig_ilm_session_facet_x_group_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_pre_update`;
DROP TRIGGER IF EXISTS `trig_offering_x_group_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_instructor_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_instructor_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_learner_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_learner_post_delete`;
DROP TRIGGER IF EXISTS `trig_learning_material_post_update`;
DROP TRIGGER IF EXISTS `trig_session_learning_material_post_delete` ;
DROP TRIGGER IF EXISTS `trig_session_learning_material_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_learning_material_post_update`;
DROP TRIGGER IF EXISTS `trig_session_learning_material_x_mesh_post_delete`;
DROP TRIGGER IF EXISTS `trig_session_learning_material_x_mesh_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_pre_update`;
DROP TRIGGER IF EXISTS `trig_session_x_discipline_post_delete`;
DROP TRIGGER IF EXISTS `trig_session_x_discipline_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_x_mesh_post_delete`;
DROP TRIGGER IF EXISTS `trig_session_x_mesh_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_x_objective_post_delete`;
DROP TRIGGER IF EXISTS `trig_session_x_objective_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_description_post_delete` ;
DROP TRIGGER IF EXISTS `trig_session_description_post_insert`;
DROP TRIGGER IF EXISTS `trig_session_description_post_update`;
DROP TRIGGER IF EXISTS `trig_objective_post_update`;
DROP TRIGGER IF EXISTS `trig_offering_pre_update`;
DROP TRIGGER IF EXISTS `trig_offering_x_instructor_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_instructor_post_insert`;
DROP TRIGGER IF EXISTS `trig_offering_x_instructor_group_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_instructor_group_post_insert`;
DROP TRIGGER IF EXISTS `trig_offering_x_group_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_group_post_insert`;
DROP TRIGGER IF EXISTS `trig_offering_x_learner_post_delete`;
DROP TRIGGER IF EXISTS `trig_offering_x_learner_post_insert`;
CALL drop_fk_if_exists('alert_change', 'fkey_alert_change_alert_id');
CALL drop_fk_if_exists('alert_instigator', 'fkey_alert_instigator_user_id');
CALL drop_fk_if_exists('alert_instigator', 'fkey_alert_instigator_alert_id');
CALL drop_fk_if_exists('api_key', 'fk_api_key_user_id');
CALL drop_fk_if_exists('audit_atom', 'fkey_audit_atom_created_by');
CALL drop_fk_if_exists('audit_content', 'audit_content_ibfk_1');
CALL drop_fk_if_exists('audit_event', 'audit_event_ibfk_1');
CALL drop_fk_if_exists('authentication', 'fkey_authentication_user');
CALL drop_fk_if_exists('cohort', 'fkey_cohort_program_year_id');
CALL drop_fk_if_exists('competency', 'competency_ibfk_1');
CALL drop_fk_if_exists('competency_x_aamc_pcrs', 'aamc_pcrs_id_fkey');
CALL drop_fk_if_exists('competency_x_aamc_pcrs', 'competency_id_fkey');
CALL drop_fk_if_exists('course', 'clerkship_type_id');
CALL drop_fk_if_exists('course_director', 'fkey_course_director_course_id');
CALL drop_fk_if_exists('course_director', 'fkey_course_director_user_id');
CALL drop_fk_if_exists('course_learning_material', 'course_learning_material_ibfk_1');
CALL drop_fk_if_exists('course_learning_material', 'course_learning_material_ibfk_2');
CALL drop_fk_if_exists('course_learning_material_x_mesh', 'course_learning_material_x_mesh_ibfk_1');
CALL drop_fk_if_exists('course_x_cohort', 'fkey_course_x_cohort_course_id');
CALL drop_fk_if_exists('course_x_cohort', 'fkey_course_x_cohort_cohort_id');
CALL drop_fk_if_exists('course_x_discipline', 'fkey_course_x_discipline_course_id');
CALL drop_fk_if_exists('course_x_discipline', 'fkey_course_x_discipline_discipline_id');
CALL drop_fk_if_exists('course_x_mesh', 'fkey_course_x_mesh_course_id');
CALL drop_fk_if_exists('course_x_objective', 'fkey_course_x_objective_course_id');
CALL drop_fk_if_exists('course_x_objective', 'fkey_course_x_objective_objective_id');
CALL drop_fk_if_exists('curriculum_inventory_academic_level', 'fkey_curriculum_inventory_academic_level_report_id');
CALL drop_fk_if_exists('curriculum_inventory_export', 'fkey_curriculum_inventory_export_report_id');
CALL drop_fk_if_exists('curriculum_inventory_export', 'fkey_curriculum_inventory_export_user_id');
CALL drop_fk_if_exists('curriculum_inventory_institution', 'fkey_curriculum_inventory_institution_school_id');
CALL drop_fk_if_exists('curriculum_inventory_report', 'fkey_curriculum_inventory_report_program_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence', 'fkey_curriculum_inventory_sequence_report_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_parent_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_report_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_course_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_academic_level_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block_session', 'fkey_ci_sequence_block_session_sequence_block_id');
CALL drop_fk_if_exists('curriculum_inventory_sequence_block_session', 'fkey_curriculum_inventory_sequence_block_session_session_id');
CALL drop_fk_if_exists('group', 'fkey_group_cohort_id');
CALL drop_fk_if_exists('group_x_instructor', 'fkey_group_x_instructor_group_id');
CALL drop_fk_if_exists('group_x_instructor', 'fkey_group_x_instructor_user_id');
CALL drop_fk_if_exists('group_x_instructor_group', 'fkey_group_x_instructor_group_group_id');
CALL drop_fk_if_exists('group_x_instructor_group', 'fkey_group_x_instructor_group_instructor_group_id');
CALL drop_fk_if_exists('group_x_user', 'group_x_user_ibfk_1');
CALL drop_fk_if_exists('group_x_user', 'group_x_user_ibfk_2');
CALL drop_fk_if_exists('ilm_session_facet_x_group', 'fkey_ilm_session_facet_x_group_group_id');
CALL drop_fk_if_exists('ilm_session_facet_x_group', 'fkey_ilm_session_facet_x_group_ilm_session_facet_id');
CALL drop_fk_if_exists('ilm_session_facet_x_instructor', 'fkey_ilm_session_facet_x_instructor_ilm_session_facet_id');
CALL drop_fk_if_exists('ilm_session_facet_x_instructor', 'fkey_ilm_session_facet_x_instructor_user_id');
CALL drop_fk_if_exists('ilm_session_facet_x_instructor_group', 'fkey_ilm_session_facet_x_instructor_group_ilm_session_facet_id');
CALL drop_fk_if_exists('ilm_session_facet_x_instructor_group', 'fkey_ilm_session_facet_x_instructor_group_instructor_group_id');
CALL drop_fk_if_exists('ilm_session_facet_x_learner', 'fkey_ilm_session_facet_x_learner_user_id');
CALL drop_fk_if_exists('ilm_session_facet_x_learner', 'fkey_ilm_session_facet_x_learner_ilm_session_facet_id');
CALL drop_fk_if_exists('instructor_group_x_user', 'instructor_group_x_user_ibfk_2');
CALL drop_fk_if_exists('instructor_group_x_user', 'instructor_group_x_user_ibfk_1');
CALL drop_fk_if_exists('objective', 'fkey_objective_competency');
CALL drop_fk_if_exists('objective_x_mesh', 'fkey_objective_x_mesh_objective_id');
CALL drop_fk_if_exists('objective_x_objective', 'fkey_objective_x_objective_objective_id');
CALL drop_fk_if_exists('offering', 'offering_ibfk_1');
CALL drop_fk_if_exists('offering_x_group', 'fkey_offering_x_group_offering_id');
CALL drop_fk_if_exists('offering_x_group', 'fkey_offering_x_group_group_id');
CALL drop_fk_if_exists('offering_x_instructor', 'fkey_offering_x_instructor_user_id');
CALL drop_fk_if_exists('offering_x_instructor', 'fkey_offering_x_instructor_offering_id');
CALL drop_fk_if_exists('offering_x_instructor_group', 'fkey_offering_x_instructor_group_offering_id');
CALL drop_fk_if_exists('offering_x_instructor_group', 'fkey_offering_x_instructor_group_instructor_group_id');
CALL drop_fk_if_exists('offering_x_learner', 'fkey_offering_x_learner_offering_id');
CALL drop_fk_if_exists('offering_x_learner', 'fkey_offering_x_learner_user_id');
CALL drop_fk_if_exists('program_year', 'fkey_program_year_program_id');
CALL drop_fk_if_exists('program_year_director', 'fkey_program_year_director_user');
CALL drop_fk_if_exists('program_year_director', 'fkey_program_year_director_program_year');
CALL drop_fk_if_exists('program_year_steward', 'fkey_program_year_steward_department');
CALL drop_fk_if_exists('program_year_steward', 'fkey_program_year_steward_school');
CALL drop_fk_if_exists('program_year_steward', 'fkey_program_year_steward_program_year');
CALL drop_fk_if_exists('program_year_x_competency', 'fkey_program_year_x_competency_prg_yr_id');
CALL drop_fk_if_exists('program_year_x_competency', 'fkey_program_year_x_competency_competency_id');
CALL drop_fk_if_exists('program_year_x_discipline', 'fkey_program_year_x_discipline_prg_yr_id');
CALL drop_fk_if_exists('program_year_x_discipline', 'fkey_program_year_x_discipline_discipline_id');
CALL drop_fk_if_exists('program_year_x_objective', 'fkey_program_year_x_objective_obj_id');
CALL drop_fk_if_exists('program_year_x_objective', 'fkey_program_year_x_objective_prg_yr_id');
CALL drop_fk_if_exists('report_po_value', 'fkey_report_po_value_report_id');
CALL drop_fk_if_exists('session', 'session_ibfk_3');
CALL drop_fk_if_exists('session', 'session_ibfk_1');
CALL drop_fk_if_exists('session', 'session_ibfk_2');
CALL drop_fk_if_exists('session_description', 'session_description_ibfk_1');
CALL drop_fk_if_exists('session_learning_material', 'session_learning_material_ibfk_2');
CALL drop_fk_if_exists('session_learning_material', 'session_learning_material_ibfk_1');
CALL drop_fk_if_exists('session_learning_material_x_mesh', 'session_learning_material_x_mesh_ibfk_1');
CALL drop_fk_if_exists('session_learning_material_x_mesh', 'session_learning_material_x_mesh_fk_session');
CALL drop_fk_if_exists('session_type', 'assessment_option_fkey');
CALL drop_fk_if_exists('session_type', 'session_type_ibfk_1');
CALL drop_fk_if_exists('session_type_x_aamc_method', 'aamc_method_id_fkey');
CALL drop_fk_if_exists('session_type_x_aamc_method', 'session_type_id_fkey');
CALL drop_fk_if_exists('session_x_discipline', 'fkey_session_x_discipline_session_id');
CALL drop_fk_if_exists('session_x_discipline', 'fkey_session_x_discipline_discipline_id');
CALL drop_fk_if_exists('session_x_mesh', 'fkey_session_x_mesh_session_id');
CALL drop_fk_if_exists('session_x_objective', 'fkey_session_x_objective_session_id');
CALL drop_fk_if_exists('session_x_objective', 'fkey_session_x_objective_objective_id');
CALL drop_fk_if_exists('user', 'fkey_user_primary_school');
CALL drop_fk_if_exists('user_sync_exception', 'user_id_fkey');
CALL drop_fk_if_exists('user_x_cohort', 'fkey_user_x_cohort_cohort');
CALL drop_fk_if_exists('user_x_cohort', 'fkey_user_x_cohort_user');
CALL drop_fk_if_exists('user_x_user_role', 'fkey_user_x_user_role_user_role_id');
CALL drop_fk_if_exists('user_x_user_role', 'fkey_user_x_user_role_user_id');
CALL drop_index_if_exists('alert_change', 'alert_id_alert_change_type_id');
CALL drop_index_if_exists('alert_change', 'alert_id');
CALL drop_index_if_exists('alert_change', 'fkey_alert_change_alert_type_id');
CALL drop_index_if_exists('alert_instigator', 'alert_id_user_id');
CALL drop_index_if_exists('alert_instigator', 'alert_id');
CALL drop_index_if_exists('alert_instigator', 'user_id');
CALL drop_index_if_exists('alert_recipient', 'alert_id_school_id');
CALL drop_index_if_exists('alert_recipient', 'fk_d97ae69dc32a47ee');
CALL drop_index_if_exists('api_key', 'api_key');
CALL drop_index_if_exists('audit_atom', 'idx_audit_atom_created_at');
CALL drop_index_if_exists('authentication', 'username');
CALL drop_index_if_exists('competency_x_aamc_pcrs', 'aamc_pcrs_id_fkey');
CALL drop_index_if_exists('course_learning_material', 'course_lm_k');
CALL drop_index_if_exists('course', 'external_id_k');
CALL drop_index_if_exists('course', 'external_id');
CALL drop_index_if_exists('course_director', 'fkey_course_director_user_id');
CALL drop_index_if_exists('course_x_cohort', 'fkey_course_x_cohort_cohort_id');
CALL drop_index_if_exists('course_x_cohort', 'course_cohort_id_k');
CALL drop_index_if_exists('course_x_discipline', 'course_discipline_id_k');
CALL drop_index_if_exists('course_x_discipline', 'fkey_course_x_discipline_discipline_id');
CALL drop_index_if_exists('course_x_objective', 'fkey_course_x_objective_objective_id');
CALL drop_index_if_exists('course_x_objective', 'course_objective_id_k');
CALL drop_index_if_exists('course_x_mesh', 'fkey_course_x_mesh_course_id');
CALL drop_index_if_exists('course_learning_material', 'learning_material_id_k');
CALL drop_index_if_exists('course_learning_material_x_mesh', 'clm_id_k');
CALL drop_index_if_exists('curriculum_inventory_export', 'fkey_curriculum_inventory_export_user_id');
CALL drop_index_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_academic_level_id');
CALL drop_index_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_course_id');
CALL drop_index_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_parent_id');
CALL drop_index_if_exists('curriculum_inventory_sequence_block', 'fkey_curriculum_inventory_sequence_block_report_id');
CALL drop_index_if_exists('curriculum_inventory_sequence_block_session', 'fkey_curriculum_inventory_sequence_block_session_session_id');
CALL drop_index_if_exists('department', 'department_school_k');
CALL drop_index_if_exists('group_x_instructor_group', 'fkey_group_x_instructor_group_instructor_group_id');
CALL drop_index_if_exists('group_x_user', 'group_user_id_k');
CALL drop_index_if_exists('group_x_user', 'user_id_k');
CALL drop_index_if_exists('group_x_instructor', 'fkey_group_x_instructor_user_id');
CALL drop_index_if_exists('ilm_session_facet_x_group', 'fkey_ilm_session_facet_x_group_group_id');
CALL drop_index_if_exists('ilm_session_facet_x_instructor_group', 'fkey_ilm_session_facet_x_instructor_group_instructor_group_id');
CALL drop_index_if_exists('ilm_session_facet_x_instructor', 'fkey_ilm_session_facet_x_instructor_user_id');
CALL drop_index_if_exists('ilm_session_facet_x_learner', 'fkey_ilm_session_facet_x_learner_user_id');
CALL drop_index_if_exists('instructor_group_x_user', 'user_id_k');
CALL drop_index_if_exists('instructor_group_x_user', 'instructor_group_user_id_k');
CALL drop_index_if_exists('mesh_concept', 'cn_index');
CALL drop_index_if_exists('mesh_concept', 'sn_index');
CALL drop_index_if_exists('mesh_concept', 'n_index');
CALL drop_index_if_exists('mesh_concept_x_term', 'mesh_concept_uid');
CALL drop_index_if_exists('mesh_concept_x_term', 'mesh_term_uid');
CALL drop_index_if_exists('mesh_descriptor', 'a_index');
CALL drop_index_if_exists('mesh_descriptor', 'n_index');
CALL drop_index_if_exists('mesh_descriptor_x_concept', 'mesh_concept_uid');
CALL drop_index_if_exists('mesh_descriptor_x_concept', 'mesh_descriptor_uid');
CALL drop_index_if_exists('mesh_descriptor_x_qualifier', 'mesh_qualifier_uid');
CALL drop_index_if_exists('mesh_descriptor_x_qualifier', 'mesh_descriptor_uid');
CALL drop_index_if_exists('mesh_previous_indexing', 'pi_index');
CALL drop_index_if_exists('mesh_qualifier', 'n_index');
CALL drop_index_if_exists('mesh_semantic_type', 'n_index');
CALL drop_index_if_exists('mesh_term', 'n_index');
CALL drop_index_if_exists('mesh_user_selection', 'sp_index');
CALL drop_index_if_exists('objective', 'fkey_objective_competency');
CALL drop_index_if_exists('objective_x_objective', 'fkey_objective_x_objective_objective_id');
CALL drop_index_if_exists('objective_x_objective', 'objective_objective_id_k');
CALL drop_index_if_exists('objective_x_mesh', 'fkey_objective_x_mesh_objective_id');
CALL drop_index_if_exists('offering', 'session_id_k');
CALL drop_index_if_exists('offering', 'offering_dates_session_k');
CALL drop_index_if_exists('offering_x_group', 'fkey_offering_x_group_group_id');
CALL drop_index_if_exists('offering_x_instructor', 'fkey_offering_x_instructor_user_id');
CALL drop_index_if_exists('offering_x_instructor_group', 'fkey_offering_x_instructor_group_instructor_group_id');
CALL drop_index_if_exists('offering_x_learner', 'fkey_offering_x_learner_user_id');
CALL drop_index_if_exists('offering_x_recurring_event', 'offering_id');
CALL drop_index_if_exists('offering_x_recurring_event', 'offering_id');
CALL drop_index_if_exists('offering_x_recurring_event', 'offering_id');
CALL drop_index_if_exists('program_year', 'fkey_program_year_program_id');
CALL drop_index_if_exists('program_year_director', 'fkey_program_year_director_user');
CALL drop_index_if_exists('program_year_x_competency', 'fkey_program_year_x_competency_competency_id');
CALL drop_index_if_exists('program_year_x_competency', 'program_year_competency_id_k');
CALL drop_index_if_exists('program_year_x_competency', 'fkey_program_year_x_competency_competency_id');
CALL drop_index_if_exists('program_year_x_discipline', 'program_year_discipline_id_k');
CALL drop_index_if_exists('program_year_x_discipline', 'fkey_program_year_x_discipline_discipline_id');
CALL drop_index_if_exists('program_year_x_objective', 'program_year_objective_id_k');
CALL drop_index_if_exists('program_year_x_objective', 'fkey_program_year_x_objective_obj_id');
CALL drop_index_if_exists('recurring_event', 'fkey_recurring_event_previous_recurring_event_id');
CALL drop_index_if_exists('recurring_event', 'fkey_recurring_event_next_recurring_event_id');
CALL drop_index_if_exists('session', 'session_type_id_k');
CALL drop_index_if_exists('session', 'course_id_k');
CALL drop_index_if_exists('session', 'session_course_type_title_k');
CALL drop_index_if_exists('session', 'session_ibfk_3');
CALL drop_index_if_exists('session_description', 'session_id_k');
CALL drop_index_if_exists('session_type', 'owning_school_id');
CALL drop_index_if_exists('session_type', 'session_type_ibfk_1');
CALL drop_index_if_exists('session_type', 'type_color_k');
CALL drop_index_if_exists('session_type_x_aamc_method', 'session_type_id_method_id');
CALL drop_index_if_exists('session_learning_material_x_mesh', 'slm_id_k');
CALL drop_index_if_exists('session_type_x_aamc_method', 'aamc_method_id_fkey');
CALL drop_index_if_exists('session_x_objective', 'fkey_session_x_objective_objective_id');
CALL drop_index_if_exists('session_x_discipline', 'fkey_session_x_discipline_discipline_id');
CALL drop_index_if_exists('user', 'fkey_user_primary_school');
CALL drop_index_if_exists('user_x_cohort', 'fkey_user_x_cohort_cohort');
CALL drop_index_if_exists('user_x_user_role', 'user_x_user_role_user_id');
CALL drop_index_if_exists('user_x_user_role', 'user_x_user_role_user_role_id');
CALL drop_key_if_exists('cohort', 'whole_k');
CALL drop_key_if_exists('course', 'title_course_k');
CALL drop_key_if_exists('group', 'fkey_group_cohort_id');
CALL drop_key_if_exists('permission', 'user_table_k');
CALL drop_key_if_exists('program_year_x_objective', 'fkey_program_year_x_objective_obj_id');
CALL drop_key_if_exists('session_type', 'assessment_option_fkey');
CALL drop_key_if_exists('mesh_term', 'mesh_term_uid');
CALL drop_key_if_exists('mesh_tree_x_descriptor', 'mesh_descriptor_uid');
CALL drop_key_if_exists('program_year_steward', 'fkey_program_year_steward_department');
CALL drop_key_if_exists('program_year_steward', 'fkey_program_year_steward_school');
CALL drop_key_if_exists('program_year_steward', 'program_year_id_school_id_department_id');
CALL drop_key_if_exists('program_year_steward', 'fkey_program_year_steward_school');
CALL drop_key_if_exists('program_year_steward', 'fkey_program_year_steward_department');
CALL drop_key_if_exists('program_year_steward', 'py_s_k');
CALL drop_key_if_exists('session_learning_material', 'session_lm_k');
CALL drop_key_if_exists('session_learning_material', 'learning_material_id_k');
CALL drop_key_if_exists('user_made_reminder', 'due_closed_user_k');
CALL drop_key_if_exists('user_x_cohort', 'fkey_user_x_cohort_cohort');
ALTER TABLE `curriculum_inventory_export` DROP PRIMARY KEY;
ALTER TABLE `curriculum_inventory_institution` DROP PRIMARY KEY;
ALTER TABLE `curriculum_inventory_sequence` DROP PRIMARY KEY;
ALTER TABLE `session_type_x_aamc_method` DROP PRIMARY KEY;
ALTER TABLE `user_x_user_role` DROP PRIMARY KEY;
ALTER TABLE `mesh_concept` ENGINE=InnoDB;
ALTER TABLE `mesh_concept_x_semantic_type` ENGINE=InnoDB;
ALTER TABLE `mesh_concept_x_term` ENGINE=InnoDB;
ALTER TABLE `mesh_descriptor` ENGINE=InnoDB;
ALTER TABLE `mesh_descriptor_x_concept` ENGINE=InnoDB;
ALTER TABLE `mesh_descriptor_x_qualifier` ENGINE=InnoDB;
ALTER TABLE `mesh_previous_indexing` ENGINE=InnoDB;
ALTER TABLE `mesh_qualifier` ENGINE=InnoDB;
ALTER TABLE `mesh_semantic_type` ENGINE=InnoDB;
ALTER TABLE `mesh_term` ENGINE=InnoDB;
ALTER TABLE `mesh_tree_x_descriptor` ENGINE=InnoDB;
ALTER TABLE `mesh_user_selection` ENGINE=InnoDB;
ALTER TABLE `alert` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `alert_change` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `alert_instigator` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `alert_recipient` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `assessment_option` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `cohort` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `competency` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_clerkship_type` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_director` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_learning_material` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_learning_material_x_mesh` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_x_cohort` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_x_discipline` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_x_mesh` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `course_x_objective` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `curriculum_inventory_academic_level` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `mesh_user_selection` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `mesh_user_selection` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `instructor_group_x_user` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `instructor_group_x_user` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `ilm_session_facet` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `mesh_descriptor_x_concept` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `mesh_descriptor_x_qualifier` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `objective_x_mesh` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `offering` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `offering_x_instructor` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `offering_x_instructor_group` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `permission` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program_year` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program_year_director` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program_year_x_competency` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program_year_x_discipline` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `program_year_x_objective` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `publish_event` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `report` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `session_learning_material_x_mesh` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `session_x_discipline` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `session_x_mesh` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `session_x_objective` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `user_x_user_role` CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `authentication` ADD `password_bcrypt` VARCHAR(255) DEFAULT NULL;
ALTER TABLE `authentication` ADD `eppn` VARCHAR(255) DEFAULT NULL;
ALTER TABLE `curriculum_inventory_export` ADD `export_id` INT AUTO_INCREMENT NOT NULL PRIMARY KEY;
ALTER TABLE `curriculum_inventory_institution` ADD `institution_id` INT AUTO_INCREMENT NOT NULL PRIMARY KEY;
ALTER TABLE `curriculum_inventory_sequence` ADD `sequence_id` INT AUTO_INCREMENT NOT NULL PRIMARY KEY;
ALTER TABLE `program_year_steward` ADD `program_year_steward_id` INT AUTO_INCREMENT NOT NULL PRIMARY KEY;
ALTER TABLE `report` ADD `prepositional_object_table_row_id` VARCHAR(14) DEFAULT NULL;
ALTER TABLE `session_description` ADD `description_id` INT AUTO_INCREMENT NOT NULL PRIMARY KEY;
ALTER TABLE `user` ADD `primary_cohort_id` INT DEFAULT NULL;
UPDATE user u SET primary_cohort_id = (SELECT cohort_id from user_x_cohort x WHERE x.user_id = u.user_id AND x.is_primary);
UPDATE report r SET prepositional_object_table_row_id = (SELECT prepositional_object_table_row_id from report_po_value x WHERE x.report_id = r.report_id);
ALTER TABLE `aamc_method` CHANGE `method_id` `method_id` VARCHAR(10) NOT NULL;
ALTER TABLE `aamc_method` CHANGE `description` `description` LONGTEXT NOT NULL;
ALTER TABLE `aamc_pcrs` CHANGE `description` `description` LONGTEXT NOT NULL;
ALTER TABLE `alert` CHANGE `alert_id` `alert_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `alert` CHANGE `table_row_id` `table_row_id` INT NOT NULL;
ALTER TABLE `alert` CHANGE `additional_text` `additional_text` LONGTEXT DEFAULT NULL;
ALTER TABLE `alert_change` CHANGE `alert_id` `alert_id` INT NOT NULL;
ALTER TABLE `alert_change` CHANGE `alert_change_type_id` `alert_change_type_id` INT NOT NULL;
ALTER TABLE `alert_change_type` CHANGE `alert_change_type_id` `alert_change_type_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `alert_instigator` CHANGE `alert_id` `alert_id` INT NOT NULL;
ALTER TABLE `alert_instigator` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `alert_recipient` CHANGE `school_id` `school_id` INT NOT NULL;
ALTER TABLE `alert_recipient` CHANGE `alert_id` `alert_id` INT NOT NULL;
ALTER TABLE `api_key` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `assessment_option` CHANGE `assessment_option_id` `assessment_option_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `audit_atom` CHANGE `event_type` `event_type` TINYINT(1) NOT NULL;
ALTER TABLE `audit_atom` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `audit_atom` CHANGE `created_by` `created_by` INT DEFAULT NULL;
ALTER TABLE `audit_atom` CHANGE `table_row_id` `table_row_id` INT NOT NULL;
ALTER TABLE `audit_atom` CHANGE `audit_atom_id` `audit_atom_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `authentication` CHANGE `password_sha256` `password_sha256` VARCHAR(64) DEFAULT NULL;
ALTER TABLE `authentication` CHANGE `person_id` `person_id` INT NOT NULL;
ALTER TABLE `ci_sessions` CHANGE `ip_address` `ip_address` VARCHAR(45) NOT NULL;
ALTER TABLE `ci_sessions` CHANGE `last_activity` `last_activity` INT NOT NULL;
ALTER TABLE `ci_sessions` CHANGE `session_id` `session_id` VARCHAR(40) NOT NULL;
ALTER TABLE `cohort` CHANGE `program_year_id` `program_year_id` INT DEFAULT NULL;
ALTER TABLE `cohort` CHANGE `cohort_id` `cohort_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `competency` CHANGE `owning_school_id` `owning_school_id` INT DEFAULT NULL;
ALTER TABLE `competency` CHANGE `parent_competency_id` `parent_competency_id` INT DEFAULT NULL;
ALTER TABLE `competency` CHANGE `title` `title` VARCHAR(200) DEFAULT NULL;
ALTER TABLE `competency` CHANGE `competency_id` `competency_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `competency_x_aamc_pcrs` CHANGE `competency_id` `competency_id` INT NOT NULL;
ALTER TABLE `course` CHANGE `title` `title` VARCHAR(200) DEFAULT NULL;
ALTER TABLE `course` CHANGE `owning_school_id` `owning_school_id` INT DEFAULT NULL;
ALTER TABLE `course` CHANGE `year` `year` SMALLINT NOT NULL;
ALTER TABLE `course` CHANGE `course_level` `course_level` SMALLINT NOT NULL;
ALTER TABLE `course` CHANGE `publish_event_id` `publish_event_id` INT DEFAULT NULL;
ALTER TABLE `course` CHANGE `clerkship_type_id` `clerkship_type_id` INT DEFAULT NULL;
ALTER TABLE `course` CHANGE `course_id` `course_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `course_clerkship_type` CHANGE `course_clerkship_type_id` `course_clerkship_type_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `course_director` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `course_director` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_learning_material` CHANGE `course_learning_material_id` `course_learning_material_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `course_learning_material` CHANGE `learning_material_id` `learning_material_id` INT DEFAULT NULL;
ALTER TABLE `course_learning_material` CHANGE `course_id` `course_id` INT DEFAULT NULL;
ALTER TABLE `course_learning_material` CHANGE `notes` `notes` LONGTEXT COLLATE utf8_unicode_ci;
ALTER TABLE `course_learning_material_x_mesh` CHANGE `course_learning_material_id` `course_learning_material_id` INT NOT NULL;
ALTER TABLE `course_x_cohort` CHANGE `cohort_id` `cohort_id` INT NOT NULL;
ALTER TABLE `course_x_cohort` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_x_discipline` CHANGE `discipline_id` `discipline_id` INT NOT NULL;
ALTER TABLE `course_x_discipline` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_x_mesh` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_x_mesh` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_x_objective` CHANGE `course_id` `course_id` INT NOT NULL;
ALTER TABLE `course_x_objective` CHANGE `objective_id` `objective_id` INT NOT NULL;
ALTER TABLE `curriculum_inventory_academic_level` CHANGE `level` `level` INT NOT NULL;
ALTER TABLE `curriculum_inventory_academic_level` CHANGE `report_id` `report_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_academic_level` CHANGE `academic_level_id` `academic_level_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `curriculum_inventory_academic_level` CHANGE `description` `description` LONGTEXT;
ALTER TABLE `curriculum_inventory_export` CHANGE `created_on` `created_on` DATETIME NOT NULL;
ALTER TABLE `curriculum_inventory_export` CHANGE `report_id` `report_id` INT NOT NULL;
ALTER TABLE `curriculum_inventory_export` CHANGE `created_by` `created_by` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_export` CHANGE `document` `document` LONGTEXT NOT NULL;
ALTER TABLE `curriculum_inventory_institution` CHANGE `address_country_code` `address_country_code` VARCHAR(2) NOT NULL;
ALTER TABLE `curriculum_inventory_institution` CHANGE `school_id` `school_id` INT NOT NULL;
ALTER TABLE `curriculum_inventory_report` CHANGE `report_id` `report_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `curriculum_inventory_report` CHANGE `year` `year` SMALLINT NOT NULL;
ALTER TABLE `curriculum_inventory_report` CHANGE `program_id` `program_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_report` CHANGE `description` `description` LONGTEXT;
ALTER TABLE `curriculum_inventory_sequence` CHANGE `report_id` `report_id` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence` CHANGE `description` `description` LONGTEXT;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `track` `track` TINYINT(1) NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `academic_level_id` `academic_level_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `duration` `duration` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `maximum` `maximum` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `course_id` `course_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `report_id` `report_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `parent_sequence_block_id` `parent_sequence_block_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `sequence_block_id` `sequence_block_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `minimum` `minimum` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `required` `required` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `order_in_sequence` `order_in_sequence` INT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `child_sequence_order` `child_sequence_order` SMALLINT NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block` CHANGE `description` `description` LONGTEXT;
ALTER TABLE `curriculum_inventory_sequence_block_session` CHANGE `count_offerings_once` `count_offerings_once` TINYINT(1) NOT NULL;
ALTER TABLE `curriculum_inventory_sequence_block_session` CHANGE `sequence_block_id` `sequence_block_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block_session` CHANGE `session_id` `session_id` INT DEFAULT NULL;
ALTER TABLE `curriculum_inventory_sequence_block_session` CHANGE `sequence_block_session_id` `sequence_block_session_id` BIGINT AUTO_INCREMENT NOT NULL;
ALTER TABLE `department` CHANGE `school_id` `school_id` INT DEFAULT NULL;
ALTER TABLE `department` CHANGE `department_id` `department_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `discipline` CHANGE `title` `title` VARCHAR(200) DEFAULT NULL;
ALTER TABLE `discipline` CHANGE `owning_school_id` `owning_school_id` INT DEFAULT NULL;
ALTER TABLE `discipline` CHANGE `discipline_id` `discipline_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `group` CHANGE `parent_group_id` `parent_group_id` INT DEFAULT NULL;
ALTER TABLE `group` CHANGE `cohort_id` `cohort_id` INT DEFAULT NULL;
ALTER TABLE `group` CHANGE `group_id` `group_id` INT SIGNED AUTO_INCREMENT NOT NULL;
ALTER TABLE `group_x_instructor` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `group_x_instructor` CHANGE `group_id` `group_id` INT NOT NULL;
ALTER TABLE `group_x_instructor_group` CHANGE `instructor_group_id` `instructor_group_id` INT NOT NULL;
ALTER TABLE `group_x_instructor_group` CHANGE `group_id` `group_id` INT NOT NULL;
ALTER TABLE `group_x_user` CHANGE `group_id` `group_id` INT NOT NULL;
ALTER TABLE `group_x_user` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet` CHANGE `hours` `hours` NUMERIC(6, 2) NOT NULL;
ALTER TABLE `ilm_session_facet` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT SIGNED AUTO_INCREMENT NOT NULL;
ALTER TABLE `ilm_session_facet_x_group` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_group` CHANGE `group_id` `group_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_instructor` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_instructor` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_instructor_group` CHANGE `instructor_group_id` `instructor_group_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_instructor_group` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_learner` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT NOT NULL;
ALTER TABLE `ilm_session_facet_x_learner` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `ingestion_exception` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `session_id` `session_id` INT NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `modification_time_stamp` `modification_time_stamp` DATETIME NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `hours_accrued` `hours_accrued` INT NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `instruction_hours_id` `instruction_hours_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `instruction_hours` CHANGE `generation_time_stamp` `generation_time_stamp` DATETIME NOT NULL;
ALTER TABLE `instructor_group` CHANGE `school_id` `school_id` INT DEFAULT NULL;
ALTER TABLE `instructor_group` CHANGE `instructor_group_id` `instructor_group_id` INT SIGNED AUTO_INCREMENT NOT NULL;
ALTER TABLE `instructor_group_x_user` CHANGE `instructor_group_id` `instructor_group_id` INT NOT NULL;
ALTER TABLE `instructor_group_x_user` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `learning_material` CHANGE `learning_material_status_id` `learning_material_status_id` INT DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `mime_type` `mime_type` VARCHAR(96) DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `token` `token` VARCHAR(64) DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `learning_material_user_role_id` `learning_material_user_role_id` INT DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `owning_user_id` `owning_user_id` INT DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `filesize` `filesize` INT UNSIGNED DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `learning_material_id` `learning_material_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `learning_material` CHANGE `copyright_ownership` `copyright_ownership` TINYINT(1) DEFAULT NULL;
ALTER TABLE `learning_material` CHANGE `description` `description` LONGTEXT NOT NULL;
ALTER TABLE `learning_material` CHANGE `copyright_rationale` `copyright_rationale` LONGTEXT;
ALTER TABLE `learning_material_status` CHANGE `learning_material_status_id` `learning_material_status_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `learning_material_user_role` CHANGE `learning_material_user_role_id` `learning_material_user_role_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `mesh_concept` CHANGE `updated_at` `updated_at` DATETIME NOT NULL;
ALTER TABLE `mesh_concept` CHANGE `mesh_concept_uid` `mesh_concept_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_concept` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `mesh_concept` CHANGE `scope_note` `scope_note` longtext;
ALTER TABLE `mesh_descriptor` CHANGE `updated_at` `updated_at` DATETIME NOT NULL;
ALTER TABLE `mesh_descriptor` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `mesh_descriptor` CHANGE `mesh_descriptor_uid` `mesh_descriptor_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_descriptor` CHANGE `annotation` `annotation` longtext;
ALTER TABLE `mesh_previous_indexing` CHANGE `mesh_descriptor_uid` `mesh_descriptor_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_previous_indexing` CHANGE `previous_indexing` `previous_indexing` LONGTEXT NOT NULL;
ALTER TABLE `mesh_qualifier` CHANGE `updated_at` `updated_at` DATETIME NOT NULL;
ALTER TABLE `mesh_qualifier` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `mesh_qualifier` CHANGE `mesh_qualifier_uid` `mesh_qualifier_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_semantic_type` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `mesh_semantic_type` CHANGE `updated_at` `updated_at` DATETIME NOT NULL;
ALTER TABLE `mesh_semantic_type` CHANGE `mesh_semantic_type_uid` `mesh_semantic_type_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_term` CHANGE `updated_at` `updated_at` DATETIME NOT NULL;
ALTER TABLE `mesh_term` CHANGE `created_at` `created_at` DATETIME NOT NULL;
ALTER TABLE `mesh_tree_x_descriptor` CHANGE `tree_number` `tree_number` VARCHAR(31) NOT NULL;
ALTER TABLE `mesh_user_selection` CHANGE `mesh_user_selection_id` `mesh_user_selection_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `mesh_user_selection` CHANGE `mesh_descriptor_uid` `mesh_descriptor_uid` VARCHAR(9) NOT NULL;
ALTER TABLE `mesh_user_selection` CHANGE `search_phrase` `search_phrase` VARCHAR(127) NOT NULL;
ALTER TABLE `objective` CHANGE `objective_id` `objective_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `objective` CHANGE `competency_id` `competency_id` INT DEFAULT NULL;
ALTER TABLE `objective` CHANGE `title` `title` LONGTEXT NOT NULL;
ALTER TABLE `objective_x_mesh` CHANGE `objective_id` `objective_id` INT NOT NULL;
ALTER TABLE `objective_x_objective` CHANGE `objective_id` `objective_id` INT NOT NULL;
ALTER TABLE `objective_x_objective` CHANGE `parent_objective_id` `parent_objective_id` INT NOT NULL;
ALTER TABLE `offering` CHANGE `last_updated_on` `last_updated_on` DATETIME NOT NULL;
ALTER TABLE `offering` CHANGE `publish_event_id` `publish_event_id` INT DEFAULT NULL;
ALTER TABLE `offering` CHANGE `offering_id` `offering_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `offering` CHANGE `session_id` `session_id` INT DEFAULT NULL;
ALTER TABLE `offering_x_group` CHANGE `group_id` `group_id` INT NOT NULL;
ALTER TABLE `offering_x_group` CHANGE `offering_id` `offering_id` INT NOT NULL;
ALTER TABLE `offering_x_instructor` CHANGE `offering_id` `offering_id` INT NOT NULL;
ALTER TABLE `offering_x_instructor` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `offering_x_instructor_group` CHANGE `instructor_group_id` `instructor_group_id` INT NOT NULL;
ALTER TABLE `offering_x_instructor_group` CHANGE `offering_id` `offering_id` INT NOT NULL;
ALTER TABLE `offering_x_learner` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `offering_x_learner` CHANGE `offering_id` `offering_id` INT NOT NULL;
ALTER TABLE `offering_x_recurring_event` CHANGE `recurring_event_id` `recurring_event_id` INT NOT NULL;
ALTER TABLE `offering_x_recurring_event` CHANGE `offering_id` `offering_id` INT NOT NULL;
ALTER TABLE `permission` CHANGE `table_row_id` `table_row_id` INT DEFAULT NULL;
ALTER TABLE `permission` CHANGE `permission_id` `permission_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `permission` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `program` CHANGE `owning_school_id` `owning_school_id` INT DEFAULT NULL;
ALTER TABLE `program` CHANGE `title` `title` VARCHAR(200) DEFAULT NULL;
ALTER TABLE `program` CHANGE `publish_event_id` `publish_event_id` INT DEFAULT NULL;
ALTER TABLE `program` CHANGE `duration` `duration` SMALLINT NOT NULL;
ALTER TABLE `program` CHANGE `program_id` `program_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `program_year` CHANGE `publish_event_id` `publish_event_id` INT DEFAULT NULL;
ALTER TABLE `program_year` CHANGE `start_year` `start_year` SMALLINT NOT NULL;
ALTER TABLE `program_year` CHANGE `program_year_id` `program_year_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `program_year` CHANGE `program_id` `program_id` INT DEFAULT NULL;
ALTER TABLE `program_year_director` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `program_year_director` CHANGE `program_year_id` `program_year_id` INT NOT NULL;
ALTER TABLE `program_year_steward` CHANGE `department_id` `department_id` INT DEFAULT NULL;
ALTER TABLE `program_year_steward` CHANGE `school_id` `school_id` INT DEFAULT NULL;
ALTER TABLE `program_year_steward` CHANGE `program_year_id` `program_year_id` INT DEFAULT NULL;
ALTER TABLE `program_year_x_competency` CHANGE `program_year_id` `program_year_id` INT NOT NULL;
ALTER TABLE `program_year_x_competency` CHANGE `competency_id` `competency_id` INT NOT NULL;
ALTER TABLE `program_year_x_discipline` CHANGE `discipline_id` `discipline_id` INT NOT NULL;
ALTER TABLE `program_year_x_discipline` CHANGE `program_year_id` `program_year_id` INT NOT NULL;
ALTER TABLE `program_year_x_objective` CHANGE `program_year_id` `program_year_id` INT NOT NULL;
ALTER TABLE `program_year_x_objective` CHANGE `objective_id` `objective_id` INT NOT NULL;
ALTER TABLE `publish_event` CHANGE `table_row_id` `table_row_id` INT DEFAULT NULL;
ALTER TABLE `publish_event` CHANGE `table_name` `table_name` VARCHAR(30) DEFAULT NULL;
ALTER TABLE `publish_event` CHANGE `time_stamp` `time_stamp` DATETIME NOT NULL;
ALTER TABLE `publish_event` CHANGE `publish_event_id` `publish_event_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `publish_event` CHANGE `administrator_id` `administrator_id` INT DEFAULT NULL;
ALTER TABLE `recurring_event` CHANGE `on_saturday` `on_saturday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `repetition_count` `repetition_count` SMALLINT DEFAULT NULL;
ALTER TABLE `recurring_event` CHANGE `next_recurring_event_id` `next_recurring_event_id` INT DEFAULT NULL;
ALTER TABLE `recurring_event` CHANGE `on_friday` `on_friday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `previous_recurring_event_id` `previous_recurring_event_id` INT DEFAULT NULL;
ALTER TABLE `recurring_event` CHANGE `on_wednesday` `on_wednesday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `on_sunday` `on_sunday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `on_thursday` `on_thursday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `on_monday` `on_monday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `on_tuesday` `on_tuesday` TINYINT(1) NOT NULL;
ALTER TABLE `recurring_event` CHANGE `recurring_event_id` `recurring_event_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `report` CHANGE `user_id` `user_id` INT DEFAULT NULL;
ALTER TABLE `report` CHANGE `report_id` `report_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `school` CHANGE `school_id` `school_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `school` CHANGE `change_alert_recipients` `change_alert_recipients` LONGTEXT;
ALTER TABLE `session` CHANGE `ilm_session_facet_id` `ilm_session_facet_id` INT DEFAULT NULL;
ALTER TABLE `session` CHANGE `title` `title` VARCHAR(200) DEFAULT NULL;
ALTER TABLE `session` CHANGE `last_updated_on` `last_updated_on` DATETIME NOT NULL;
ALTER TABLE `session` CHANGE `publish_event_id` `publish_event_id` INT DEFAULT NULL;
ALTER TABLE `session` CHANGE `session_id` `session_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `session` CHANGE `course_id` `course_id` INT DEFAULT NULL;
ALTER TABLE `session` CHANGE `session_type_id` `session_type_id` INT DEFAULT NULL;
ALTER TABLE `session_description` CHANGE `session_id` `session_id` INT NOT NULL;
ALTER TABLE `session_description` CHANGE `description` `description` LONGTEXT DEFAULT NULL;
ALTER TABLE `session_learning_material` CHANGE `learning_material_id` `learning_material_id` INT DEFAULT NULL;
ALTER TABLE `session_learning_material` CHANGE `session_learning_material_id` `session_learning_material_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `session_learning_material` CHANGE `session_id` `session_id` INT DEFAULT NULL;
ALTER TABLE `session_learning_material` CHANGE `notes` `notes` LONGTEXT;
ALTER TABLE `session_learning_material_x_mesh` CHANGE `session_learning_material_id` `session_learning_material_id` INT NOT NULL;
ALTER TABLE `session_type` CHANGE `session_type_id` `session_type_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `session_type` CHANGE `assessment` `assessment` TINYINT(1) NOT NULL;
ALTER TABLE `session_type` CHANGE `owning_school_id` `owning_school_id` INT DEFAULT NULL;
ALTER TABLE `session_type` CHANGE `assessment_option_id` `assessment_option_id` INT DEFAULT NULL;
ALTER TABLE `session_type_x_aamc_method` CHANGE `session_type_id` `session_type_id` INT NOT NULL;
ALTER TABLE `session_x_discipline` CHANGE `session_id` `session_id` INT NOT NULL;
ALTER TABLE `session_x_discipline` CHANGE `discipline_id` `discipline_id` INT NOT NULL;
ALTER TABLE `session_x_mesh` CHANGE `session_id` `session_id` INT NOT NULL;
ALTER TABLE `session_x_objective` CHANGE `session_id` `session_id` INT NOT NULL;
ALTER TABLE `session_x_objective` CHANGE `objective_id` `objective_id` INT NOT NULL;
ALTER TABLE `user` CHANGE `primary_school_id` `primary_school_id` INT DEFAULT NULL;
ALTER TABLE `user` CHANGE `user_id` `user_id` INT SIGNED AUTO_INCREMENT NOT NULL;
ALTER TABLE `user_made_reminder` CHANGE `user_id` `user_id` INT DEFAULT NULL;
ALTER TABLE `user_made_reminder` CHANGE `user_made_reminder_id` `user_made_reminder_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `user_role` CHANGE `user_role_id` `user_role_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `user_sync_exception` CHANGE `user_id` `user_id` INT DEFAULT NULL;
ALTER TABLE `user_sync_exception` CHANGE `exception_id` `exception_id` INT AUTO_INCREMENT NOT NULL;
ALTER TABLE `user_sync_exception` CHANGE `process_id` `process_id` INT NOT NULL;
ALTER TABLE `user_sync_exception` CHANGE `exception_code` `exception_code` INT NOT NULL;
ALTER TABLE `user_x_cohort` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `user_x_cohort` CHANGE `cohort_id` `cohort_id` INT NOT NULL;
ALTER TABLE `user_x_user_role` CHANGE `user_id` `user_id` INT NOT NULL;
ALTER TABLE `user_x_user_role` CHANGE `user_role_id` `user_role_id` INT NOT NULL;
DROP TABLE IF EXISTS `group_default_instructor`;
DROP TABLE IF EXISTS `curriculum_inventory_program`;
DROP TABLE IF EXISTS `ilm_session_facet_learner`;
DROP TABLE IF EXISTS `ilm_session_facet_instructor`;
DROP TABLE IF EXISTS `offering_instructor`;
DROP TABLE IF EXISTS `offering_learner`;
DROP TABLE IF EXISTS `report_po_value`;
DROP TABLE IF EXISTS `group_x_group`;
ALTER TABLE `user_x_cohort` DROP COLUMN `is_primary`;
ALTER TABLE `program_year_x_objective` ADD PRIMARY KEY (program_year_id, objective_id);
ALTER TABLE `program_year_x_discipline` ADD PRIMARY KEY (program_year_id, discipline_id);
ALTER TABLE `program_year_x_competency` ADD PRIMARY KEY (program_year_id, competency_id);
ALTER TABLE `offering_x_recurring_event` ADD PRIMARY KEY (offering_id, recurring_event_id);
ALTER TABLE `instructor_group_x_user` ADD PRIMARY KEY (instructor_group_id, user_id);
ALTER TABLE `course_learning_material_x_mesh` ADD PRIMARY KEY (course_learning_material_id, mesh_descriptor_uid);
ALTER TABLE `course_x_objective` ADD PRIMARY KEY (course_id, objective_id);
ALTER TABLE `course_x_cohort` ADD PRIMARY KEY (course_id, cohort_id);
ALTER TABLE `alert_change` ADD PRIMARY KEY (alert_id, alert_change_type_id);
ALTER TABLE `alert_recipient` ADD PRIMARY KEY (alert_id, school_id);
ALTER TABLE `session_type_x_aamc_method` ADD PRIMARY KEY (session_type_id, method_id);
ALTER TABLE `session_learning_material_x_mesh` ADD PRIMARY KEY (session_learning_material_id, mesh_descriptor_uid);
ALTER TABLE `user_x_user_role` ADD PRIMARY KEY (`user_id`,`user_role_id`);
CREATE INDEX tmpidx_alert_id ON `alert_instigator` (alert_id);
CREATE INDEX tmpidx_user_id ON `alert_instigator` (user_id);
ALTER TABLE `alert_instigator` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `alert_instigator` t1, `alert_instigator` t2 WHERE t1.id > t2.id AND t1.`alert_id` = t2.`alert_id` AND t1.`user_id` = t2.`user_id`;
ALTER TABLE `alert_instigator` DROP COLUMN `id`;
ALTER TABLE `alert_instigator` ADD PRIMARY KEY (`alert_id`, `user_id`);
DROP INDEX tmpidx_alert_id ON `alert_instigator`;
DROP INDEX tmpidx_user_id ON `alert_instigator`;
CREATE INDEX tmpidx_course_id ON `course_x_discipline` (course_id);
CREATE INDEX tmpidx_discipline_id ON `course_x_discipline` (discipline_id);
ALTER TABLE `course_x_discipline` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `course_x_discipline` t1, `course_x_discipline` t2 WHERE t1.id > t2.id AND t1.`course_id` = t2.`course_id` AND t1.`discipline_id` = t2.`discipline_id`;
ALTER TABLE `course_x_discipline` DROP COLUMN `id`;
ALTER TABLE `course_x_discipline` ADD PRIMARY KEY (`course_id`, `discipline_id`);
DROP INDEX tmpidx_course_id ON `course_x_discipline`;
DROP INDEX tmpidx_discipline_id ON `course_x_discipline`;
CREATE INDEX tmpidx_course_id ON `course_x_mesh` (course_id);
CREATE INDEX tmpidx_mesh_descriptor_uid ON `course_x_mesh` (mesh_descriptor_uid);
ALTER TABLE `course_x_mesh` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `course_x_mesh` t1, `course_x_mesh` t2 WHERE t1.id > t2.id AND t1.`course_id` = t2.`course_id` AND t1.`mesh_descriptor_uid` = t2.`mesh_descriptor_uid`;
ALTER TABLE `course_x_mesh` DROP COLUMN `id`;
ALTER TABLE `course_x_mesh` ADD PRIMARY KEY (`course_id`, `mesh_descriptor_uid`);
DROP INDEX tmpidx_course_id ON `course_x_mesh`;
DROP INDEX tmpidx_mesh_descriptor_uid ON `course_x_mesh`;
CREATE INDEX tmpidx_mesh_concept_uid ON `mesh_concept_x_semantic_type` (mesh_concept_uid);
CREATE INDEX tmpidx_mesh_semantic_type_uid ON `mesh_concept_x_semantic_type` (mesh_semantic_type_uid);
ALTER TABLE `mesh_concept_x_semantic_type` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `mesh_concept_x_semantic_type` t1, `mesh_concept_x_semantic_type` t2 WHERE t1.id > t2.id AND t1.`mesh_concept_uid` = t2.`mesh_concept_uid` AND t1.`mesh_semantic_type_uid` = t2.`mesh_semantic_type_uid`;
ALTER TABLE `mesh_concept_x_semantic_type` DROP COLUMN `id`;
ALTER TABLE `mesh_concept_x_semantic_type` ADD PRIMARY KEY (`mesh_concept_uid`, `mesh_semantic_type_uid`);
DROP INDEX tmpidx_mesh_concept_uid ON `mesh_concept_x_semantic_type`;
DROP INDEX tmpidx_mesh_semantic_type_uid ON `mesh_concept_x_semantic_type`;
CREATE INDEX tmpidx_mesh_concept_uid ON `mesh_concept_x_term` (mesh_concept_uid);
CREATE INDEX tmpidx_mesh_term_uid ON `mesh_concept_x_term` (mesh_term_uid);
ALTER TABLE `mesh_concept_x_term` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `mesh_concept_x_term` t1, `mesh_concept_x_term` t2 WHERE t1.id > t2.id AND t1.`mesh_concept_uid` = t2.`mesh_concept_uid` AND t1.`mesh_term_uid` = t2.`mesh_term_uid`;
ALTER TABLE `mesh_concept_x_term` DROP COLUMN `id`;
ALTER TABLE `mesh_concept_x_term` ADD PRIMARY KEY (`mesh_concept_uid`, `mesh_term_uid`);
DROP INDEX tmpidx_mesh_concept_uid ON `mesh_concept_x_term`;
DROP INDEX tmpidx_mesh_term_uid ON `mesh_concept_x_term`;
CREATE INDEX tmpidx_mesh_concept_uid ON `mesh_descriptor_x_concept` (mesh_concept_uid);
CREATE INDEX tmpidx_mesh_descriptor_uid ON `mesh_descriptor_x_concept` (mesh_descriptor_uid);
ALTER TABLE `mesh_descriptor_x_concept` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `mesh_descriptor_x_concept` t1, `mesh_descriptor_x_concept` t2 WHERE t1.id > t2.id AND t1.`mesh_concept_uid` = t2.`mesh_concept_uid` AND t1.`mesh_descriptor_uid` = t2.`mesh_descriptor_uid`;
ALTER TABLE `mesh_descriptor_x_concept` DROP COLUMN `id`;
ALTER TABLE `mesh_descriptor_x_concept` ADD PRIMARY KEY (`mesh_concept_uid`, `mesh_descriptor_uid`);
DROP INDEX tmpidx_mesh_concept_uid ON `mesh_descriptor_x_concept`;
DROP INDEX tmpidx_mesh_descriptor_uid ON `mesh_descriptor_x_concept`;
CREATE INDEX tmpidx_mesh_qualifier_uid ON `mesh_descriptor_x_qualifier` (mesh_qualifier_uid);
CREATE INDEX tmpidx_mesh_descriptor_uid ON `mesh_descriptor_x_qualifier` (mesh_descriptor_uid);
ALTER TABLE `mesh_descriptor_x_qualifier` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `mesh_descriptor_x_qualifier` t1, `mesh_descriptor_x_qualifier` t2 WHERE t1.id > t2.id AND t1.`mesh_qualifier_uid` = t2.`mesh_qualifier_uid` AND t1.`mesh_descriptor_uid` = t2.`mesh_descriptor_uid`;
ALTER TABLE `mesh_descriptor_x_qualifier` DROP COLUMN `id`;
ALTER TABLE `mesh_descriptor_x_qualifier` ADD PRIMARY KEY (`mesh_qualifier_uid`, `mesh_descriptor_uid`);
DROP INDEX tmpidx_mesh_qualifier_uid ON `mesh_descriptor_x_qualifier`;
DROP INDEX tmpidx_mesh_descriptor_uid ON `mesh_descriptor_x_qualifier`;
CREATE INDEX tmpidx_objective_id ON `objective_x_objective` (objective_id);
CREATE INDEX tmpidx_parent_objective_id ON `objective_x_objective` (parent_objective_id);
ALTER TABLE `objective_x_objective` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `objective_x_objective` t1, `objective_x_objective` t2 WHERE t1.id > t2.id AND t1.`objective_id` = t2.`objective_id` AND t1.`parent_objective_id` = t2.`parent_objective_id`;
ALTER TABLE `objective_x_objective` DROP COLUMN `id`;
ALTER TABLE `objective_x_objective` ADD PRIMARY KEY (`objective_id`, `parent_objective_id`);
DROP INDEX tmpidx_objective_id ON `objective_x_objective`;
DROP INDEX tmpidx_parent_objective_id ON `objective_x_objective`;
CREATE INDEX tmpidx_objective_id ON `objective_x_mesh` (objective_id);
CREATE INDEX tmpidx_mesh_descriptor_uid ON `objective_x_mesh` (mesh_descriptor_uid);
ALTER TABLE `objective_x_mesh` ADD COLUMN `id` BIGINT PRIMARY KEY AUTO_INCREMENT FIRST;
DELETE t1 FROM `objective_x_mesh` t1, `objective_x_mesh` t2 WHERE t1.id > t2.id AND t1.`objective_id` = t2.`objective_id` AND t1.`mesh_descriptor_uid` = t2.`mesh_descriptor_uid`;
ALTER TABLE `objective_x_mesh` DROP COLUMN `id`;
ALTER TABLE `objective_x_mesh` ADD PRIMARY KEY (`objective_id`, `mesh_descriptor_uid`);
DROP INDEX tmpidx_objective_id ON `objective_x_mesh`;
DROP INDEX tmpidx_mesh_descriptor_uid ON `objective_x_mesh`;
CREATE INDEX IDX_77659F2793035F72 ON `alert_change` (alert_id);
CREATE INDEX IDX_77659F2748FCA242 ON `alert_change` (alert_change_type_id);
CREATE INDEX IDX_69CBD53C93035F72 ON `alert_instigator` (alert_id);
CREATE INDEX IDX_69CBD53CA76ED395 ON `alert_instigator` (user_id);
CREATE INDEX IDX_D97AE69D93035F72 ON `alert_recipient` (alert_id);
CREATE INDEX IDX_D97AE69DC32A47EE ON `alert_recipient` (school_id);
CREATE UNIQUE INDEX UNIQ_C912ED9DA76ED395 ON `api_key` (user_id);
CREATE UNIQUE INDEX api_key_api_key ON `api_key` (api_key);
CREATE INDEX idx_audit_atom_created_at ON `audit_atom` (created_at);
CREATE UNIQUE INDEX UNIQ_FEB4C9FDFC7885D4 ON `authentication` (eppn);
CREATE UNIQUE INDEX UNIQ_FEB4C9FD217BBB47 ON `authentication` (person_id);
CREATE UNIQUE INDEX UNIQ_FEB4C9FDF85E0677 ON `authentication` (username);
CREATE INDEX IDX_80D53430DDDDCC69 ON `competency` (owning_school_id);
CREATE INDEX IDX_1683F4A7FB9F58C ON `competency_x_aamc_pcrs` (competency_id);
CREATE INDEX IDX_1683F4A79CFCD25E ON `competency_x_aamc_pcrs` (pcrs_id);
CREATE UNIQUE INDEX UNIQ_D3B8C16BCB2B0673 ON `cohort` (program_year_id);
CREATE INDEX `whole_k` ON `cohort` (`program_year_id`,`cohort_id`,`title`);
CREATE INDEX `title_course_k` ON `course` (`course_id`,`title`);
CREATE INDEX IDX_169E6FB9DDDDCC69 ON `course` (owning_school_id);
CREATE INDEX IDX_169E6FB956C92BE0 ON `course` (publish_event_id);
CREATE INDEX external_id ON `course` (external_id);
CREATE INDEX IDX_B724BEA6591CC992 ON `course_director` (course_id);
CREATE INDEX IDX_B724BEA6A76ED395 ON `course_director` (user_id);
CREATE INDEX IDX_F841D788591CC992 ON `course_learning_material` (course_id);
CREATE INDEX IDX_476BB36FCDB3C93B ON `course_learning_material_x_mesh` (mesh_descriptor_uid);
CREATE INDEX IDX_4C4C18C35983C93 ON `course_x_cohort` (cohort_id);
CREATE INDEX IDX_4C4C18C591CC992 ON `course_x_cohort` (course_id);
CREATE INDEX IDX_A52BE633591CC992 ON `course_x_discipline` (course_id);
CREATE INDEX IDX_A52BE633A5522701 ON `course_x_discipline` (discipline_id);
CREATE INDEX IDX_4C880AE4591CC992 ON `course_x_objective` (course_id);
CREATE INDEX IDX_4C880AE473484933 ON `course_x_objective` (objective_id);
CREATE INDEX IDX_82E35212591CC992 ON `course_x_mesh` (course_id);
CREATE INDEX IDX_82E35212CDB3C93B ON `course_x_mesh` (mesh_descriptor_uid);
CREATE INDEX IDX_F841D788C1D99609 ON `course_learning_material` (learning_material_id);
CREATE INDEX IDX_476BB36F46C5AD2E ON `course_learning_material_x_mesh` (course_learning_material_id);
CREATE INDEX IDX_B4D3296D4BD2A4C0 ON `curriculum_inventory_academic_level` (report_id);
CREATE INDEX fkey_curriculum_inventory_export_user_id ON `curriculum_inventory_export` (created_by);
CREATE UNIQUE INDEX UNIQ_E892E88E4BD2A4C0 ON `curriculum_inventory_export` (report_id);
CREATE UNIQUE INDEX UNIQ_3426AC4BC32A47EE ON `curriculum_inventory_institution` (school_id);
CREATE INDEX IDX_6E31899E3EB8070A ON `curriculum_inventory_report` (program_id);
CREATE UNIQUE INDEX UNIQ_B8AE58F54BD2A4C0 ON `curriculum_inventory_sequence` (report_id);
CREATE INDEX IDX_22E6B6806081C3B0 ON `curriculum_inventory_sequence_block` (academic_level_id);
CREATE INDEX IDX_22E6B680591CC992 ON `curriculum_inventory_sequence_block` (course_id);
CREATE INDEX IDX_22E6B680DEB52F47 ON `curriculum_inventory_sequence_block` (parent_sequence_block_id);
CREATE INDEX IDX_22E6B6804BD2A4C0 ON `curriculum_inventory_sequence_block` (report_id);
CREATE INDEX IDX_CF8E4F1261D1D223 ON `curriculum_inventory_sequence_block_session` (sequence_block_id);
CREATE INDEX fkey_curriculum_inventory_sequence_block_session_session_id ON `curriculum_inventory_sequence_block_session` (session_id);
CREATE INDEX IDX_CD1DE18AC32A47EE ON `department` (school_id);
CREATE INDEX IDX_75BEEE3FDDDDCC69 ON `discipline` (owning_school_id);
CREATE INDEX IDX_6DC044C561997596 ON `group` (parent_group_id);
CREATE INDEX IDX_6DC044C535983C93 ON `group` (cohort_id);
CREATE INDEX IDX_8CE57915FE54D947 ON `group_x_instructor` (group_id);
CREATE INDEX IDX_49AFEA21FE54D947 ON `group_x_instructor_group` (group_id);
CREATE INDEX IDX_49AFEA21FE367BE2 ON `group_x_instructor_group` (instructor_group_id);
CREATE INDEX IDX_93A1A790FE54D947 ON `group_x_user` (group_id);
CREATE INDEX IDX_93A1A790A76ED395 ON `group_x_user` (user_id);
CREATE INDEX IDX_8CE57915A76ED395 ON `group_x_instructor` (user_id);
CREATE INDEX IDX_6423CE8CFE367BE2 ON `instructor_group_x_user` (instructor_group_id);
CREATE INDEX IDX_B43B41DC504270C1 ON `ilm_session_facet_x_group` (ilm_session_facet_id);
CREATE INDEX IDX_82B9A47B504270C1 ON `ilm_session_facet_x_instructor` (ilm_session_facet_id);
CREATE INDEX IDX_8171A2F3504270C1 ON `ilm_session_facet_x_instructor_group` (ilm_session_facet_id);
CREATE INDEX IDX_8171A2F3FE367BE2 ON `ilm_session_facet_x_instructor_group` (instructor_group_id);
CREATE INDEX IDX_82B9A47BA76ED395 ON `ilm_session_facet_x_instructor` (user_id);
CREATE INDEX IDX_E385BC58504270C1 ON `ilm_session_facet_x_learner` (ilm_session_facet_id);
CREATE INDEX IDX_E385BC58A76ED395 ON `ilm_session_facet_x_learner` (user_id);
CREATE INDEX IDX_B43B41DCFE54D947 ON `ilm_session_facet_x_group` (group_id);
CREATE INDEX IDX_6423CE8CA76ED395 ON `instructor_group_x_user` (user_id);
CREATE INDEX IDX_E52A7DDBA76ED395 ON `instruction_hours` (user_id);
CREATE INDEX IDX_E52A7DDB613FECDF ON `instruction_hours` (session_id);
CREATE INDEX IDX_BF12A389C32A47EE ON `instructor_group` (school_id);
CREATE INDEX IDX_58CE718BA0407615 ON `learning_material` (learning_material_status_id);
CREATE INDEX IDX_58CE718B67A71A40 ON `learning_material` (owning_user_id);
CREATE INDEX IDX_58CE718B7505C8EA ON `learning_material` (learning_material_user_role_id);
CREATE UNIQUE INDEX UNIQ_32B6E2F4CDB3C93B ON `mesh_previous_indexing` (mesh_descriptor_uid);
CREATE INDEX IDX_100AC50FE34D9FF5 ON `mesh_concept_x_term` (mesh_concept_uid);
CREATE INDEX IDX_100AC50F17293A95 ON `mesh_concept_x_term` (mesh_term_uid);
CREATE INDEX IDX_1AF85275E34D9FF5 ON `mesh_descriptor_x_concept` (mesh_concept_uid);
CREATE INDEX IDX_1AF85275CDB3C93B ON `mesh_descriptor_x_concept` (mesh_descriptor_uid);
CREATE INDEX IDX_FC5A6AD763490620 ON `mesh_descriptor_x_qualifier` (mesh_qualifier_uid);
CREATE INDEX IDX_FC5A6AD7CDB3C93B ON `mesh_descriptor_x_qualifier` (mesh_descriptor_uid);
CREATE INDEX IDX_650D32BFCDB3C93B ON `mesh_user_selection` (mesh_descriptor_uid);
CREATE INDEX IDX_B996F101FB9F58C ON `objective` (competency_id);
CREATE INDEX IDX_9DC1F26573484933 ON `objective_x_objective` (objective_id);
CREATE INDEX IDX_936D667473484933 ON `objective_x_mesh` (objective_id);
CREATE INDEX IDX_936D6674CDB3C93B ON `objective_x_mesh` (mesh_descriptor_uid);
CREATE INDEX IDX_9DC1F2652326141D ON `objective_x_objective` (parent_objective_id);
CREATE INDEX `session_id_k` ON `offering` (`session_id`);
CREATE INDEX `offering_dates_session_k` ON `offering` (`offering_id`,`session_id`,`start_date`,`end_date`);
CREATE INDEX IDX_A5682AB156C92BE0 ON `offering` (publish_event_id);
CREATE INDEX IDX_4D68848F8EDF74F0 ON `offering_x_group` (offering_id);
CREATE INDEX IDX_4D68848FFE54D947 ON `offering_x_group` (group_id);
CREATE INDEX IDX_171DC5498EDF74F0 ON `offering_x_instructor` (offering_id);
CREATE INDEX IDX_171DC549A76ED395 ON `offering_x_instructor` (user_id);
CREATE INDEX IDX_5540AEE1FE367BE2 ON `offering_x_instructor_group` (instructor_group_id);
CREATE INDEX IDX_5540AEE18EDF74F0 ON `offering_x_instructor_group` (offering_id);
CREATE INDEX IDX_991D7DA38EDF74F0 ON `offering_x_learner` (offering_id);
CREATE INDEX IDX_991D7DA3A76ED395 ON `offering_x_learner` (user_id);
CREATE INDEX IDX_D6FB967CE54B259A ON `offering_x_recurring_event` (recurring_event_id);
CREATE INDEX IDX_D6FB967C8EDF74F0 ON `offering_x_recurring_event` (offering_id);
CREATE UNIQUE INDEX user_table_k ON `permission` (`user_id`,`table_name`,`table_row_id`);
CREATE INDEX IDX_E04992AAA76ED395 ON `permission` (user_id);
CREATE INDEX IDX_92ED778456C92BE0 ON `program` (publish_event_id);
CREATE INDEX IDX_92ED7784DDDDCC69 ON `program` (owning_school_id);
CREATE INDEX IDX_B664263056C92BE0 ON `program_year` (publish_event_id);
CREATE INDEX IDX_B66426303EB8070A ON `program_year` (program_id);
CREATE INDEX IDX_9212A50DCB2B0673 ON `program_year_director` (program_year_id);
CREATE INDEX IDX_9212A50DA76ED395 ON `program_year_director` (user_id);
CREATE INDEX IDX_program_year_school ON `program_year_steward` (program_year_id, school_id);
CREATE INDEX IDX_38AC2B7BAE80F5DF ON `program_year_steward` (department_id);
CREATE INDEX IDX_38AC2B7BCB2B0673 ON `program_year_steward` (program_year_id);
CREATE INDEX IDX_38AC2B7BC32A47EE ON `program_year_steward` (school_id);
CREATE UNIQUE INDEX program_year_id_school_id_department_id ON `program_year_steward` (program_year_id, school_id, department_id);
CREATE INDEX IDX_1841AB9BFB9F58C ON `program_year_x_competency` (competency_id);
CREATE INDEX IDX_1841AB9BCB2B0673 ON `program_year_x_competency` (program_year_id);
CREATE INDEX IDX_FF29E64373484933 ON `program_year_x_objective` (objective_id);
CREATE INDEX IDX_ED2A7194A5522701 ON `program_year_x_discipline` (discipline_id);
CREATE INDEX IDX_ED2A7194CB2B0673 ON `program_year_x_discipline` (program_year_id);
CREATE INDEX IDX_FF29E643CB2B0673 ON `program_year_x_objective` (program_year_id);
CREATE INDEX IDX_A018E3734B09E92C ON `publish_event` (administrator_id);
CREATE INDEX IDX_C42F7784A76ED395 ON `report` (user_id);
CREATE INDEX IDX_51B1C7F8B494B099 ON `recurring_event` (previous_recurring_event_id);
CREATE INDEX IDX_51B1C7F882312E9D ON `recurring_event` (next_recurring_event_id);
CREATE UNIQUE INDEX UNIQ_D044D5D4504270C1 ON `session` (ilm_session_facet_id);
CREATE INDEX `session_type_id_k` ON `session` (`session_type_id`);
CREATE INDEX `course_id_k` ON `session` (`course_id`);
CREATE INDEX `session_course_type_title_k` ON `session` (`session_id`,`course_id`,`session_type_id`,`title`);
CREATE INDEX session_ibfk_3 ON `session` (ilm_session_facet_id);
CREATE INDEX IDX_D044D5D456C92BE0 ON `session` (publish_event_id);
CREATE UNIQUE INDEX UNIQ_91BD5E51613FECDF ON `session_description` (session_id);
CREATE INDEX session_lm_k ON `session_learning_material` (`session_id`,`learning_material_id`);
CREATE INDEX learning_material_id_k ON `session_learning_material` (`learning_material_id`);
CREATE INDEX IDX_9BE2AF8D613FECDF ON `session_learning_material` (session_id);
CREATE INDEX IDX_EC36AECFCDB3C93B ON `session_learning_material_x_mesh` (mesh_descriptor_uid);
CREATE INDEX IDX_EC36AECFE8376E0A ON `session_learning_material_x_mesh` (session_learning_material_id);
CREATE INDEX assessment_option_fkey ON `session_type` (assessment_option_id);
CREATE INDEX owning_school_id ON `session_type` (owning_school_id);
CREATE INDEX IDX_5E10F74819883967 ON `session_type_x_aamc_method` (method_id);
CREATE INDEX IDX_5E10F748D7940EC9 ON `session_type_x_aamc_method` (session_type_id);
CREATE INDEX IDX_43B09906613FECDF ON `session_x_mesh` (session_id);
CREATE INDEX IDX_43B09906CDB3C93B ON `session_x_mesh` (mesh_descriptor_uid);
CREATE INDEX IDX_C4BF244773484933 ON `session_x_objective` (objective_id);
CREATE INDEX IDX_C4BF2447613FECDF ON `session_x_objective` (session_id);
CREATE INDEX IDX_EA7C234FA5522701 ON `session_x_discipline` (discipline_id);
CREATE INDEX IDX_EA7C234F613FECDF ON `session_x_discipline` (session_id);
CREATE INDEX IDX_8D93D649FF038174 ON `user` (primary_cohort_id);
CREATE INDEX fkey_user_primary_school ON `user` (primary_school_id);
CREATE INDEX `due_closed_user_k` ON `user_made_reminder` (`due_date`,`closed`,`user_id`);
CREATE INDEX IDX_44EF4595A76ED395 ON `user_made_reminder` (user_id);
CREATE INDEX IDX_4DFD48DA35983C93 ON `user_x_cohort` (cohort_id);
CREATE INDEX IDX_4DFD48DAA76ED395 ON `user_x_cohort` (user_id);
CREATE INDEX IDX_583C407A76ED395 ON `user_x_user_role` (user_id);
CREATE INDEX IDX_583C4078E0E3CA6 ON `user_x_user_role` (user_role_id);
DELETE FROM objective_x_objective WHERE parent_objective_id NOT IN (select objective_id from objective);
DELETE FROM objective_x_objective WHERE objective_id NOT IN (select objective_id from objective);
DELETE FROM offering_x_group WHERE offering_id NOT IN (SELECT offering_id FROM offering);
DELETE FROM offering_x_instructor WHERE offering_id NOT IN (SELECT offering_id FROM offering);
DELETE FROM offering_x_learner WHERE offering_id NOT IN (SELECT offering_id FROM offering);
DELETE FROM offering_x_recurring_event WHERE offering_id NOT IN (SELECT offering_id FROM offering);
DELETE FROM program_year_steward WHERE program_year_id NOT IN (select program_year_id from program_year);
DELETE FROM program_year_steward WHERE school_id NOT IN (select school_id from school);
DELETE FROM program_year_steward WHERE department_id IS NOT NULL and department_id NOT IN (select department_id from department);
DELETE FROM authentication WHERE person_id NOT IN (SELECT user_id from user);
DELETE FROM permission WHERE user_id NOT IN (SELECT user_id from user);
UPDATE discipline SET owning_school_id = NULL WHERE owning_school_id NOT IN (SELECT school_id from school);
UPDATE `group` SET parent_group_id = NULL WHERE parent_group_id = 0;
UPDATE user SET primary_school_id = NULL WHERE primary_school_id NOT IN (select school_id from school);
UPDATE learning_material SET learning_material_status_id=1 WHERE learning_material_status_id NOT IN (SELECT learning_material_status_id FROM learning_material_status);
UPDATE learning_material SET learning_material_user_role_id=3 WHERE learning_material_user_role_id NOT IN (SELECT learning_material_user_role_id FROM learning_material_user_role);
UPDATE publish_event SET administrator_id=(SELECT user_id FROM user ORDER BY user_id ASC LIMIT 1) WHERE administrator_id NOT IN (SELECT user_id FROM user);
UPDATE offering SET publish_event_id=(SELECT publish_event_id FROM session WHERE session_id = offering.session_id) WHERE publish_event_id NOT IN (SELECT publish_event_id FROM publish_event);
ALTER TABLE alert_change ADD CONSTRAINT FK_77659F2793035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id) ON DELETE CASCADE;
ALTER TABLE alert_change ADD CONSTRAINT FK_77659F2748FCA242 FOREIGN KEY (alert_change_type_id) REFERENCES alert_change_type (alert_change_type_id);
ALTER TABLE alert_instigator ADD CONSTRAINT FK_69CBD53C93035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id) ON DELETE CASCADE;
ALTER TABLE alert_instigator ADD CONSTRAINT FK_69CBD53CA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE alert_recipient ADD CONSTRAINT FK_D97AE69D93035F72 FOREIGN KEY (alert_id) REFERENCES alert (alert_id);
ALTER TABLE alert_recipient ADD CONSTRAINT FK_D97AE69DC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id);
ALTER TABLE api_key ADD CONSTRAINT FK_C912ED9DA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE authentication ADD CONSTRAINT FK_FEB4C9FD217BBB47 FOREIGN KEY (person_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE cohort ADD CONSTRAINT FK_D3B8C16BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id);
ALTER TABLE competency ADD CONSTRAINT FK_80D53430DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id);
ALTER TABLE competency ADD CONSTRAINT FK_80D53430D33F961E FOREIGN KEY (parent_competency_id) REFERENCES competency (competency_id);
ALTER TABLE competency_x_aamc_pcrs ADD CONSTRAINT FK_1683F4A7FB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id);
ALTER TABLE competency_x_aamc_pcrs ADD CONSTRAINT FK_1683F4A79CFCD25E FOREIGN KEY (pcrs_id) REFERENCES aamc_pcrs (pcrs_id);
ALTER TABLE course ADD CONSTRAINT FK_169E6FB954C53094 FOREIGN KEY (clerkship_type_id) REFERENCES course_clerkship_type (course_clerkship_type_id);
ALTER TABLE course ADD CONSTRAINT FK_169E6FB9DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id);
ALTER TABLE course ADD CONSTRAINT FK_169E6FB956C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id);
ALTER TABLE course_director ADD CONSTRAINT FK_B724BEA6591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id);
ALTER TABLE course_director ADD CONSTRAINT FK_B724BEA6A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE course_x_cohort ADD CONSTRAINT FK_4C4C18C591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE;
ALTER TABLE course_x_cohort ADD CONSTRAINT FK_4C4C18C35983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id) ON DELETE CASCADE;
ALTER TABLE course_x_discipline ADD CONSTRAINT FK_A52BE633591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE;
ALTER TABLE course_x_discipline ADD CONSTRAINT FK_A52BE633A5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE;
ALTER TABLE course_x_objective ADD CONSTRAINT FK_4C880AE4591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE;
ALTER TABLE course_x_objective ADD CONSTRAINT FK_4C880AE473484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE;
ALTER TABLE course_x_mesh ADD CONSTRAINT FK_82E35212591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id) ON DELETE CASCADE;
ALTER TABLE course_x_mesh ADD CONSTRAINT FK_82E35212CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE;
ALTER TABLE course_learning_material ADD CONSTRAINT FK_F841D788591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id);
ALTER TABLE course_learning_material ADD CONSTRAINT FK_F841D788C1D99609 FOREIGN KEY (learning_material_id) REFERENCES learning_material (learning_material_id);
ALTER TABLE course_learning_material_x_mesh ADD CONSTRAINT FK_476BB36F46C5AD2E FOREIGN KEY (course_learning_material_id) REFERENCES course_learning_material (course_learning_material_id);
ALTER TABLE course_learning_material_x_mesh ADD CONSTRAINT FK_476BB36FCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid);
ALTER TABLE curriculum_inventory_academic_level ADD CONSTRAINT FK_B4D3296D4BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id);
ALTER TABLE curriculum_inventory_export ADD CONSTRAINT FK_E892E88E4BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id);
ALTER TABLE curriculum_inventory_export ADD CONSTRAINT FK_E892E88EDE12AB56 FOREIGN KEY (created_by) REFERENCES user (user_id);
ALTER TABLE curriculum_inventory_institution ADD CONSTRAINT FK_3426AC4BC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id);
ALTER TABLE curriculum_inventory_report ADD CONSTRAINT FK_6E31899E3EB8070A FOREIGN KEY (program_id) REFERENCES program (program_id);
ALTER TABLE curriculum_inventory_sequence ADD CONSTRAINT FK_B8AE58F54BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id);
ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B6806081C3B0 FOREIGN KEY (academic_level_id) REFERENCES curriculum_inventory_academic_level (academic_level_id);
ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B680591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id);
ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B680DEB52F47 FOREIGN KEY (parent_sequence_block_id) REFERENCES curriculum_inventory_sequence_block (sequence_block_id);
ALTER TABLE curriculum_inventory_sequence_block ADD CONSTRAINT FK_22E6B6804BD2A4C0 FOREIGN KEY (report_id) REFERENCES curriculum_inventory_report (report_id);
ALTER TABLE curriculum_inventory_sequence_block_session ADD CONSTRAINT FK_CF8E4F1261D1D223 FOREIGN KEY (sequence_block_id) REFERENCES curriculum_inventory_sequence_block (sequence_block_id);
ALTER TABLE curriculum_inventory_sequence_block_session ADD CONSTRAINT FK_CF8E4F12613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id);
ALTER TABLE department ADD CONSTRAINT FK_CD1DE18AC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id);
ALTER TABLE discipline ADD CONSTRAINT FK_75BEEE3FDDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id);
ALTER TABLE ilm_session_facet_x_group ADD CONSTRAINT FK_B43B41DC504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_group ADD CONSTRAINT FK_B43B41DCFE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_instructor_group ADD CONSTRAINT FK_8171A2F3504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_instructor_group ADD CONSTRAINT FK_8171A2F3FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_instructor ADD CONSTRAINT FK_82B9A47B504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_instructor ADD CONSTRAINT FK_82B9A47BA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_learner ADD CONSTRAINT FK_E385BC58504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id) ON DELETE CASCADE;
ALTER TABLE ilm_session_facet_x_learner ADD CONSTRAINT FK_E385BC58A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE ingestion_exception ADD CONSTRAINT FK_65713AFFA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE instruction_hours ADD CONSTRAINT FK_E52A7DDBA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE instruction_hours ADD CONSTRAINT FK_E52A7DDB613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id);
ALTER TABLE instructor_group ADD CONSTRAINT FK_BF12A389C32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id);
ALTER TABLE instructor_group_x_user ADD CONSTRAINT FK_6423CE8CFE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id);
ALTER TABLE instructor_group_x_user ADD CONSTRAINT FK_6423CE8CA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE `group` ADD CONSTRAINT FK_6DC044C535983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id) ON DELETE CASCADE;
ALTER TABLE `group` ADD CONSTRAINT FK_6DC044C561997596 FOREIGN KEY (parent_group_id) REFERENCES `group` (group_id);
ALTER TABLE group_x_instructor_group ADD CONSTRAINT FK_49AFEA21FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE;
ALTER TABLE group_x_instructor_group ADD CONSTRAINT FK_49AFEA21FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id) ON DELETE CASCADE;
ALTER TABLE group_x_user ADD CONSTRAINT FK_93A1A790FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id);
ALTER TABLE group_x_user ADD CONSTRAINT FK_93A1A790A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE group_x_instructor ADD CONSTRAINT FK_8CE57915FE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id) ON DELETE CASCADE;
ALTER TABLE group_x_instructor ADD CONSTRAINT FK_8CE57915A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718B7505C8EA FOREIGN KEY (learning_material_user_role_id) REFERENCES learning_material_user_role (learning_material_user_role_id);
ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718BA0407615 FOREIGN KEY (learning_material_status_id) REFERENCES learning_material_status (learning_material_status_id);
ALTER TABLE learning_material ADD CONSTRAINT FK_58CE718B67A71A40 FOREIGN KEY (owning_user_id) REFERENCES user (user_id);
ALTER TABLE mesh_concept_x_semantic_type ADD CONSTRAINT FK_CD3D789316AE7127 FOREIGN KEY (mesh_semantic_type_uid) REFERENCES mesh_semantic_type (mesh_semantic_type_uid);
ALTER TABLE mesh_concept_x_semantic_type ADD CONSTRAINT FK_CD3D7893E34D9FF5 FOREIGN KEY (mesh_concept_uid) REFERENCES mesh_concept (mesh_concept_uid);
ALTER TABLE mesh_descriptor_x_concept ADD CONSTRAINT FK_1AF85275E34D9FF5 FOREIGN KEY (mesh_concept_uid) REFERENCES mesh_concept (mesh_concept_uid);
ALTER TABLE mesh_descriptor_x_concept ADD CONSTRAINT FK_1AF85275CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid);
ALTER TABLE mesh_previous_indexing ADD CONSTRAINT FK_32B6E2F4CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid);
ALTER TABLE mesh_descriptor_x_qualifier ADD CONSTRAINT FK_FC5A6AD763490620 FOREIGN KEY (mesh_qualifier_uid) REFERENCES mesh_qualifier (mesh_qualifier_uid);
ALTER TABLE mesh_descriptor_x_qualifier ADD CONSTRAINT FK_FC5A6AD7CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid);
ALTER TABLE mesh_user_selection ADD CONSTRAINT FK_650D32BFCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE;
ALTER TABLE objective ADD CONSTRAINT FK_B996F101FB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id);
ALTER TABLE objective_x_objective ADD CONSTRAINT FK_9DC1F26573484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id);
ALTER TABLE objective_x_objective ADD CONSTRAINT FK_9DC1F2652326141D FOREIGN KEY (parent_objective_id) REFERENCES objective (objective_id);
ALTER TABLE objective_x_mesh ADD CONSTRAINT FK_936D667473484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id);
ALTER TABLE objective_x_mesh ADD CONSTRAINT FK_936D6674CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid);
ALTER TABLE offering ADD CONSTRAINT FK_A5682AB1613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id);
ALTER TABLE offering ADD CONSTRAINT FK_A5682AB156C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id);
ALTER TABLE offering_x_group ADD CONSTRAINT FK_4D68848F8EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id);
ALTER TABLE offering_x_group ADD CONSTRAINT FK_4D68848FFE54D947 FOREIGN KEY (group_id) REFERENCES `group` (group_id);
ALTER TABLE offering_x_instructor_group ADD CONSTRAINT FK_5540AEE18EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id);
ALTER TABLE offering_x_instructor_group ADD CONSTRAINT FK_5540AEE1FE367BE2 FOREIGN KEY (instructor_group_id) REFERENCES instructor_group (instructor_group_id);
ALTER TABLE offering_x_learner ADD CONSTRAINT FK_991D7DA38EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id);
ALTER TABLE offering_x_learner ADD CONSTRAINT FK_991D7DA3A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE offering_x_instructor ADD CONSTRAINT FK_171DC5498EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id);
ALTER TABLE offering_x_instructor ADD CONSTRAINT FK_171DC549A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE offering_x_recurring_event ADD CONSTRAINT FK_D6FB967C8EDF74F0 FOREIGN KEY (offering_id) REFERENCES offering (offering_id) ON DELETE CASCADE;
ALTER TABLE offering_x_recurring_event ADD CONSTRAINT FK_D6FB967CE54B259A FOREIGN KEY (recurring_event_id) REFERENCES recurring_event (recurring_event_id) ON DELETE CASCADE;
ALTER TABLE permission ADD CONSTRAINT FK_E04992AAA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE program ADD CONSTRAINT FK_92ED778456C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id);
ALTER TABLE program ADD CONSTRAINT FK_92ED7784DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id);
ALTER TABLE program_year ADD CONSTRAINT FK_B66426303EB8070A FOREIGN KEY (program_id) REFERENCES program (program_id);
ALTER TABLE program_year ADD CONSTRAINT FK_B664263056C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id);
ALTER TABLE program_year_director ADD CONSTRAINT FK_9212A50DCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id);
ALTER TABLE program_year_director ADD CONSTRAINT FK_9212A50DA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE program_year_x_competency ADD CONSTRAINT FK_1841AB9BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE;
ALTER TABLE program_year_x_competency ADD CONSTRAINT FK_1841AB9BFB9F58C FOREIGN KEY (competency_id) REFERENCES competency (competency_id) ON DELETE CASCADE;
ALTER TABLE program_year_x_discipline ADD CONSTRAINT FK_ED2A7194CB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE;
ALTER TABLE program_year_x_discipline ADD CONSTRAINT FK_ED2A7194A5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE;
ALTER TABLE program_year_x_objective ADD CONSTRAINT FK_FF29E643CB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE;
ALTER TABLE program_year_x_objective ADD CONSTRAINT FK_FF29E64373484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE;
ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BAE80F5DF FOREIGN KEY (department_id) REFERENCES department (department_id) ON DELETE CASCADE;
ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BCB2B0673 FOREIGN KEY (program_year_id) REFERENCES program_year (program_year_id) ON DELETE CASCADE;
ALTER TABLE program_year_steward ADD CONSTRAINT FK_38AC2B7BC32A47EE FOREIGN KEY (school_id) REFERENCES school (school_id) ON DELETE CASCADE;
ALTER TABLE publish_event ADD CONSTRAINT FK_A018E3734B09E92C FOREIGN KEY (administrator_id) REFERENCES user (user_id);
ALTER TABLE recurring_event ADD CONSTRAINT FK_51B1C7F8B494B099 FOREIGN KEY (previous_recurring_event_id) REFERENCES recurring_event (recurring_event_id);
ALTER TABLE recurring_event ADD CONSTRAINT FK_51B1C7F882312E9D FOREIGN KEY (next_recurring_event_id) REFERENCES recurring_event (recurring_event_id);
ALTER TABLE report ADD CONSTRAINT FK_C42F7784A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE session ADD CONSTRAINT FK_D044D5D4D7940EC9 FOREIGN KEY (session_type_id) REFERENCES session_type (session_type_id);
ALTER TABLE session ADD CONSTRAINT FK_D044D5D4591CC992 FOREIGN KEY (course_id) REFERENCES course (course_id);
ALTER TABLE session ADD CONSTRAINT FK_D044D5D4504270C1 FOREIGN KEY (ilm_session_facet_id) REFERENCES ilm_session_facet (ilm_session_facet_id);
ALTER TABLE session ADD CONSTRAINT FK_D044D5D456C92BE0 FOREIGN KEY (publish_event_id) REFERENCES publish_event (publish_event_id);
ALTER TABLE session_x_discipline ADD CONSTRAINT FK_EA7C234F613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE;
ALTER TABLE session_x_discipline ADD CONSTRAINT FK_EA7C234FA5522701 FOREIGN KEY (discipline_id) REFERENCES discipline (discipline_id) ON DELETE CASCADE;
ALTER TABLE session_x_objective ADD CONSTRAINT FK_C4BF2447613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE;
ALTER TABLE session_x_objective ADD CONSTRAINT FK_C4BF244773484933 FOREIGN KEY (objective_id) REFERENCES objective (objective_id) ON DELETE CASCADE;
ALTER TABLE session_x_mesh ADD CONSTRAINT FK_43B09906613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id) ON DELETE CASCADE;
ALTER TABLE session_x_mesh ADD CONSTRAINT FK_43B09906CDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE;
ALTER TABLE session_description ADD CONSTRAINT FK_91BD5E51613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id);
ALTER TABLE session_learning_material ADD CONSTRAINT FK_9BE2AF8D613FECDF FOREIGN KEY (session_id) REFERENCES session (session_id);
ALTER TABLE session_learning_material ADD CONSTRAINT FK_9BE2AF8DC1D99609 FOREIGN KEY (learning_material_id) REFERENCES learning_material (learning_material_id);
ALTER TABLE session_learning_material_x_mesh ADD CONSTRAINT FK_EC36AECFE8376E0A FOREIGN KEY (session_learning_material_id) REFERENCES session_learning_material (session_learning_material_id) ON DELETE CASCADE;
ALTER TABLE session_learning_material_x_mesh ADD CONSTRAINT FK_EC36AECFCDB3C93B FOREIGN KEY (mesh_descriptor_uid) REFERENCES mesh_descriptor (mesh_descriptor_uid) ON DELETE CASCADE;
ALTER TABLE session_type ADD CONSTRAINT FK_4AAF570375B5EE83 FOREIGN KEY (assessment_option_id) REFERENCES assessment_option (assessment_option_id);
ALTER TABLE session_type ADD CONSTRAINT FK_4AAF5703DDDDCC69 FOREIGN KEY (owning_school_id) REFERENCES school (school_id);
ALTER TABLE session_type_x_aamc_method ADD CONSTRAINT FK_5E10F748D7940EC9 FOREIGN KEY (session_type_id) REFERENCES session_type (session_type_id);
ALTER TABLE session_type_x_aamc_method ADD CONSTRAINT FK_5E10F74819883967 FOREIGN KEY (method_id) REFERENCES aamc_method (method_id);
ALTER TABLE user ADD CONSTRAINT FK_8D93D6499B1FA09 FOREIGN KEY (primary_school_id) REFERENCES school (school_id);
ALTER TABLE user ADD CONSTRAINT FK_8D93D649FF038174 FOREIGN KEY (primary_cohort_id) REFERENCES cohort (cohort_id);
ALTER TABLE user_x_user_role ADD CONSTRAINT FK_583C407A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id) ON DELETE CASCADE;
ALTER TABLE user_x_user_role ADD CONSTRAINT FK_583C4078E0E3CA6 FOREIGN KEY (user_role_id) REFERENCES user_role (user_role_id) ON DELETE CASCADE;
ALTER TABLE user_x_cohort ADD CONSTRAINT FK_4DFD48DAA76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
ALTER TABLE user_x_cohort ADD CONSTRAINT FK_4DFD48DA35983C93 FOREIGN KEY (cohort_id) REFERENCES cohort (cohort_id);
ALTER TABLE user_made_reminder ADD CONSTRAINT FK_44EF4595A76ED395 FOREIGN KEY (user_id) REFERENCES user (user_id);
CREATE TABLE `migration_versions` (`version` varchar(255) NOT NULL, PRIMARY KEY (`version`)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `migration_versions` VALUES (20150805000000);
DROP TABLE IF EXISTS `migrations`;
DROP PROCEDURE IF EXISTS drop_index_if_exists;
DROP PROCEDURE IF EXISTS drop_key_if_exists;
DROP PROCEDURE IF EXISTS drop_fk_if_exists;
DROP PROCEDURE IF EXISTS courses_with_title_restricted_by_school_for_user;
DROP PROCEDURE IF EXISTS courses_with_title_restricted_by_school_for_user_calendar;
DROP PROCEDURE IF EXISTS decompose_mesh_tree;
DROP PROCEDURE IF EXISTS mesh_search;
DROP PROCEDURE IF EXISTS nuke_course;
DROP PROCEDURE IF EXISTS nuke_learning_material_associations;
DROP PROCEDURE IF EXISTS nuke_objective_associations;
DROP PROCEDURE IF EXISTS nuke_offering;
DROP PROCEDURE IF EXISTS nuke_recurring_event_chain;
DROP PROCEDURE IF EXISTS nuke_session;
DROP PROCEDURE IF EXISTS programs_with_title_restricted_by_school_for_user;
DROP PROCEDURE IF EXISTS ucsf_som_add_user_to_learner_group;
DROP PROCEDURE IF EXISTS user_ids_from_cohort_and_master_group;
DROP FUNCTION IF EXISTS copy_cohorts_from_course_to_course;
DROP FUNCTION IF EXISTS copy_directors_from_course_to_course;
DROP FUNCTION IF EXISTS copy_disciplines_from_course_to_course;
DROP FUNCTION IF EXISTS copy_disciplines_from_session_to_session;
DROP FUNCTION IF EXISTS copy_ilm_session_attributes_to_ilm_session;
DROP FUNCTION IF EXISTS copy_learning_material_mesh_from_course_lm_to_course_lm;
DROP FUNCTION IF EXISTS copy_learning_material_mesh_from_session_lm_to_session_lm;
DROP FUNCTION IF EXISTS copy_mesh_from_course_to_course;
DROP FUNCTION IF EXISTS copy_mesh_session_to_session;
DROP FUNCTION IF EXISTS copy_objective_attributes_to_objective;
DROP FUNCTION IF EXISTS copy_offering_attributes_to_offering;
DROP FUNCTION IF EXISTS course_has_cohort_stewarded_or_owned_by_school;
DROP FUNCTION IF EXISTS group_is_child_of_group;
DROP FUNCTION IF EXISTS program_has_year_stewarded_by_school;
DROP FUNCTION IF EXISTS user_can_be_assigned;
ALTER TABLE `alert` DROP PRIMARY KEY, ADD PRIMARY KEY (`alert_id`);
ALTER TABLE `alert_change_type` DROP PRIMARY KEY, ADD PRIMARY KEY (`alert_change_type_id`);
ALTER TABLE `audit_atom` DROP PRIMARY KEY, ADD PRIMARY KEY (`audit_atom_id`);
ALTER TABLE `authentication` DROP PRIMARY KEY, ADD PRIMARY KEY (`person_id`);
ALTER TABLE `cohort` DROP PRIMARY KEY, ADD PRIMARY KEY (`cohort_id`);
ALTER TABLE `course` DROP PRIMARY KEY, ADD PRIMARY KEY (`course_id`);
ALTER TABLE `course_learning_material` DROP PRIMARY KEY, ADD PRIMARY KEY (`course_learning_material_id`);
ALTER TABLE `department` DROP PRIMARY KEY, ADD PRIMARY KEY (`department_id`);
ALTER TABLE `discipline` DROP PRIMARY KEY, ADD PRIMARY KEY (`discipline_id`);
ALTER TABLE `group` DROP PRIMARY KEY, ADD PRIMARY KEY (`group_id`);
ALTER TABLE `ingestion_exception` DROP PRIMARY KEY, ADD PRIMARY KEY (`user_id`);
ALTER TABLE `instruction_hours` DROP PRIMARY KEY, ADD PRIMARY KEY (`instruction_hours_id`);
ALTER TABLE `ilm_session_facet` DROP PRIMARY KEY, ADD PRIMARY KEY (`ilm_session_facet_id`);
ALTER TABLE `instructor_group` DROP PRIMARY KEY, ADD PRIMARY KEY (`instructor_group_id`);
ALTER TABLE `learning_material` DROP PRIMARY KEY, ADD PRIMARY KEY (`learning_material_id`);
ALTER TABLE `learning_material_status` DROP PRIMARY KEY, ADD PRIMARY KEY (`learning_material_status_id`);
ALTER TABLE `learning_material_user_role` DROP PRIMARY KEY, ADD PRIMARY KEY (`learning_material_user_role_id`);
ALTER TABLE `objective` DROP PRIMARY KEY, ADD PRIMARY KEY (`objective_id`);
ALTER TABLE `offering` DROP PRIMARY KEY, ADD PRIMARY KEY (`offering_id`);
ALTER TABLE `permission` DROP PRIMARY KEY, ADD PRIMARY KEY (`permission_id`);
ALTER TABLE `program` DROP PRIMARY KEY, ADD PRIMARY KEY (`program_id`);
ALTER TABLE `program_year` DROP PRIMARY KEY, ADD PRIMARY KEY (`program_year_id`);
ALTER TABLE `publish_event` DROP PRIMARY KEY, ADD PRIMARY KEY (`publish_event_id`);
ALTER TABLE `recurring_event` DROP PRIMARY KEY, ADD PRIMARY KEY (`recurring_event_id`);
ALTER TABLE `report` DROP PRIMARY KEY, ADD PRIMARY KEY (`report_id`);
ALTER TABLE `session` DROP PRIMARY KEY, ADD PRIMARY KEY (`session_id`);
ALTER TABLE `session_learning_material` DROP PRIMARY KEY, ADD PRIMARY KEY (`session_learning_material_id`);
ALTER TABLE `session_type` DROP PRIMARY KEY, ADD PRIMARY KEY (`session_type_id`);
ALTER TABLE `user` DROP PRIMARY KEY, ADD PRIMARY KEY (`user_id`);
ALTER TABLE `user_made_reminder` DROP PRIMARY KEY, ADD PRIMARY KEY (`user_made_reminder_id`);
ALTER TABLE `user_role` DROP PRIMARY KEY, ADD PRIMARY KEY (`user_role_id`);
